Bug 705363 - (spacewalk-web) Review Request: spacewalk-web - Spacewalk Web site packages
Review Request: spacewalk-web - Spacewalk Web site packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk 715989 715998 716369
  Show dependency treegraph
 
Reported: 2011-05-17 09:39 EDT by Miroslav Suchý
Modified: 2011-09-06 23:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-web-1.6.18-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-25 08:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2011-05-17 09:39:45 EDT
SPEC:
http://miroslav.suchy.cz/fedora/spacewalk-web/spacewalk-web.spec
SRPM:
http://miroslav.suchy.cz/fedora/spacewalk-web/spacewalk-web-1.5.11-1.fc15.src.rpm

Description:
This package contains the code for the Spacewalk Web Site.
Normally this source rpm does not generate a %{name} binary package,
but it does generate a number of sub-packages

Subpackages contains PXT pages and modules for perl part of Spacewalk server.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3076716

Rpmlint warnings:
$ rpmlint /tmp/spacewalk-build/spacewalk-web-1.5.11-1.fc15.src.rpm /tmp/spacewalk-build/noarch/*1.5.10-1.fc15.noarch.rpm
spacewalk-base-minimal.noarch: W: spelling-error Summary(en_US) pm's -> Pm's, om's, em's
spacewalk-base-minimal.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-base-minimal.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-dobby.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_dobby.conf
spacewalk-dobby.noarch: E: non-readable /etc/rhn/default/rhn_dobby.conf 0640L
spacewalk-grail.noarch: W: no-documentation
spacewalk-html.noarch: W: no-documentation
spacewalk-pxt.noarch: W: spelling-error Summary(en_US) templating -> contemplating, tempting, template
spacewalk-pxt.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-pxt.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-sniglets.noarch: W: no-documentation
8 packages and 0 specfiles checked; 3 errors, 8 warnings.


ad conffile-without-noreplace - It is configuration files, which used should not change, see https://bugzilla.redhat.com/show_bug.cgi?id=612581#c16

non-readable files - these are files, which may contain password or security phrase, ergo - it should not be word readable.

no-documentation - there is really no documentation available for this subpackages.
Comment 1 Petr Pisar 2011-07-28 10:15:48 EDT
Source tar ball is original. Ok.

Summary verified from README. Ok.
TODO: I think `Spacewalk web site' or `Spacewalk web interface' would be enough. The word (Spacewalk) `packages' interfere with RPM packages.

Package license (GPLv2 only) verified from License. Ok.
TODO: spacewalk-html subpackage contains MIT licensed code (html/javascript/controls.js, http://madrobby.github.com/scriptaculous/license/). Add proper value to License tag for this subpackage.

TODO: spacewalk-base-minimal summary is too cryptic. Replace ".pm's" with `Perl modules' or make it more human-friendly in other way.

TODO: spacewalk-web package summary contains lower-case `rpm' abbreviation. Use upper case.
TODO: Some package descriptions do not end with full stop.

TODO: Remove BuildRoot definition and it's cleaning as it's default behavior of rpmbuild.

FIX: Add Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) too all subpackages with Perl modules (https://fedoraproject.org/wiki/Packaging:Perl#Versioned_MODULE_COMPAT_Requires).

TODO: Add %{?_smp_mflags} to make arguments to utilize all CPU's while `compiling'.

TODO: Remove %defattr macro from %files sections as this is implicit.

FIX: spacewalk-html does not content LICENSE file and does not require spacewalk-base-minimal delivering the file. Distribute LICENSE file with spacewalk-html.


$ rpmlint spacewalk-web.spec ../SRPMS/spacewalk-web-1.5.11-1.fc15.src.rpm ../RPMS/noarch/spacewalk-* 
spacewalk-web.spec:261: W: macro-in-%changelog %description
spacewalk-web.src:261: W: macro-in-%changelog %description
spacewalk-base-minimal.noarch: W: spelling-error Summary(en_US) pm's -> Pm's, om's, em's
spacewalk-base-minimal.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-base-minimal.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-dobby.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_dobby.conf
spacewalk-dobby.noarch: E: non-readable /etc/rhn/default/rhn_dobby.conf 0640L
spacewalk-grail.noarch: W: no-documentation
spacewalk-html.noarch: W: no-documentation
spacewalk-pxt.noarch: W: spelling-error Summary(en_US) templating -> contemplating, tempting, template
spacewalk-pxt.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-pxt.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-sniglets.noarch: W: no-documentation
8 packages and 1 specfiles checked; 3 errors, 10 warnings.

FIX: Escape percentage symbol in changelog, otherwise it's subject of SPEC-macro expansion.

/etc/rhn/default/* configuration files are replaceable as this is default configuration not intended for modification in place. Ok.

Some configuration files are not world-readable because they save credentials. Ok.


Notice: Is /var/www/html/network/software/channels/keys/BETA-RPM-GPG-KEY a GPG key stored along web pages? Should it be a %config file? I don't like it.

Otherwise file permisssions and layout are Ok.


All binary requires:

spacewalk-base-minimal-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-base-minimal) = 1.5.11-1.fc15
      1 httpd  
      1 perl(Carp)  
      1 perl(DBI)  
      1 perl(Digest::HMAC_SHA1)  
      1 perl(Digest::MD5)  
      1 perl(Exporter)  
      1 perl(overload)  
      1 perl(Params::Validate)  
      1 perl(PXT::Config)  
      1 perl(RHN::Exception)  
      1 perl(Scalar::Util)  
      1 perl(strict)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 tomcat6  
spacewalk-base-1.5.11-1.fc15.noarch.rpm
      1 perl(Apache2::RequestUtil)  
      1 perl(Archive::Tar)  
      1 perl(Authen::PAM)  
      1 perl(base)  
      1 perl(Carp)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(DateTime)  
      1 perl(Digest::MD5)  
      1 perl(English)  
      1 perl(File::Spec)  
      1 perl(File::Temp)  
      1 perl(Frontier::Client)  
      1 perl(IO::File)  
      1 perl(IO::Socket::INET)  
      1 perl(IPC::Open3)  
      1 perl(lib)  
      1 perl(LWP::UserAgent)  
      1 perl(Mail::RFC822::Address)  
      1 perl(MIME::Base64)  
      1 perl(ModPerl::Util)  
      1 perl(NOCpulse::Config)  
      1 perl(overload)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::ACL)  
      1 perl(RHN::AppInstall::ActionHandler)  
      1 perl(RHN::AppInstall::ActionHandler::ActionRunner)  
      1 perl(RHN::AppInstall::ActionHandler::ActionScheduler)  
      1 perl(RHN::AppInstall::Instance)  
      1 perl(RHN::AppInstall::Process)  
      1 perl(RHN::AppInstall::Process::Configure)  
      1 perl(RHN::AppInstall::Process::Install)  
      1 perl(RHN::AppInstall::Process::InstallProgress)  
      1 perl(RHN::AppInstall::Process::Remove)  
      1 perl(RHN::AppInstall::Process::Step)  
      1 perl(RHN::AppInstall::Process::Step::Action)  
      1 perl(RHN::AppInstall::Process::Step::Action::Arg)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus::Action)  
      1 perl(RHN::AppInstall::Process::Step::Activity)  
      1 perl(RHN::AppInstall::Process::Step::Activity::Action)  
      1 perl(RHN::AppInstall::Process::Step::CollectData)  
      1 perl(RHN::AppInstall::Process::Step::Redirect)  
      1 perl(RHN::AppInstall::Process::Step::Requirements)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions::Action)  
      1 perl(RHN::AppInstall::Replace)  
      1 perl(RHN::AppInstall::RequirementHandler)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::AppInstall::Session::Access)  
      1 perl(RHN::Cache::File)  
      1 perl(RHN::Cert)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::CryptoKey)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::Action)  
      1 perl(RHN::DB::AppInstall::Instance)  
      1 perl(RHN::DB::AppInstall::Session)  
      1 perl(RHN::DB::ConfigChannel)  
      1 perl(RHN::DB::ConfigRevision)  
      1 perl(RHN::DB::ContactGroup)  
      1 perl(RHN::DB::ContactMethod)  
      1 perl(RHN::DB::CryptoKey)  
      1 perl(RHN::DB::CustomInfoKey)  
      1 perl(RHN::DB::DataSource)  
      1 perl(RHN::DB::Entitlements)  
      1 perl(RHN::DB::Errata)  
      1 perl(RHN::DB::ErrataEditor)  
      1 perl(RHN::DB::ErrataTmp)  
      1 perl(RHN::DB::FileList)  
      1 perl(RHN::DB::Channel)  
      1 perl(RHN::DB::ChannelEditor)  
      1 perl(RHN::DB::JoinClass)  
      1 perl(RHN::DB::Kickstart)  
      1 perl(RHN::DB::Kickstart::Session)  
      1 perl(RHN::DB::KSTree)  
      1 perl(RHN::DB::Notes)  
      1 perl(RHN::DB::Org)  
      1 perl(RHN::DB::Package)  
      1 perl(RHN::DB::Package::SolarisPackage)  
      1 perl(RHN::DB::Package::SolarisPatch)  
      1 perl(RHN::DB::Package::SolarisPatchSet)  
      1 perl(RHN::DB::Profile)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::DB::SatInstall)  
      1 perl(RHN::DB::Server)  
      1 perl(RHN::DB::ServerActions)  
      1 perl(RHN::DB::Server::CdDevice)  
      1 perl(RHN::DB::ServerGroup)  
      1 perl(RHN::DB::Server::HwDevice)  
      1 perl(RHN::DB::Server::NetInfo)  
      1 perl(RHN::DB::Server::NetInterface)  
      1 perl(RHN::DB::Server::StorageDevice)  
      1 perl(RHN::DB::Set)  
      1 perl(RHN::DB::Scheduler)  
      1 perl(RHN::DB::SystemSnapshot)  
      1 perl(RHN::DB::TableClass)  
      1 perl(RHN::DB::Tag)  
      1 perl(RHN::DB::TemplateString)  
      1 perl(RHN::DB::TinyURL)  
      1 perl(RHN::DB::Token)  
      1 perl(RHN::DB::User)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataEditor)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::Exception)  
      1 perl(RHN::FileList)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::Filter)  
      1 perl(RHN::Form::NamespaceForm)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Parser)  
      1 perl(RHN::Form::RealizedForm)  
      1 perl(RHN::Form::Require)  
      1 perl(RHN::Form::Response)  
      1 perl(RHN::Form::Widget)  
      1 perl(RHN::Form::Widget::File)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Password)  
      1 perl(RHN::Form::Widget::RadiobuttonGroup)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Form::Widget::Text)  
      1 perl(RHN::Form::Widget::TextArea)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::Kickstart::Commands)  
      1 perl(RHN::Kickstart::Include)  
      1 perl(RHN::Kickstart::IPAddress)  
      1 perl(RHN::Kickstart::IPRange)  
      1 perl(RHN::Kickstart::Logvols)  
      1 perl(RHN::Kickstart::Multi)  
      1 perl(RHN::Kickstart::Packages)  
      1 perl(RHN::Kickstart::Partitions)  
      1 perl(RHN::Kickstart::Password)  
      1 perl(RHN::Kickstart::Post)  
      1 perl(RHN::Kickstart::Pre)  
      1 perl(RHN::Kickstart::Raids)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Kickstart::Volgroups)  
      1 perl(RHN::KSTree)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Package::SolarisPackage)  
      1 perl(RHN::Package::SolarisPatch)  
      1 perl(RHN::Package::SolarisPatchSet)  
      1 perl(RHN::Profile)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SearchType)  
      1 perl(RHN::Server)  
      1 perl(RHN::SessionSwap)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SimpleStruct)  
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::Tag)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::Token)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(RPM2)  
      1 perl(Scalar::Util)  
      1 perl(Socket)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(Text::Wrap)  
      1 perl(Time::HiRes)  
      1 perl(URI::URL)  
      1 perl(vars)  
      1 perl(XML::LibXML)  
      1 perl(XML::LibXML) >= 1.53
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-pxt  
      1 webserver  
spacewalk-dobby-1.5.11-1.fc15.noarch.rpm
      1 /bin/bash  
      1 config(spacewalk-dobby) = 1.5.11-1.fc15
      1 httpd  
      1 perl(Carp)  
      1 perl(Compress::Zlib)  
      1 perl(Digest::MD5)  
      1 perl(Dobby::BackupLog)  
      1 perl(Dobby::CLI)  
      1 perl(Dobby::CLI::BackupCommands)  
      1 perl(Dobby::CLI::MaintCommands)  
      1 perl(Dobby::CLI::MiscCommands)  
      1 perl(Dobby::DB)  
      1 perl(Dobby::Files)  
      1 perl(Dobby::Log)  
      1 perl(Dobby::Reporting)  
      1 perl(Fcntl)  
      1 perl(File::Basename)  
      1 perl(File::Spec)  
      1 perl(File::Spec::Functions)  
      1 perl(Filesys::Df)  
      1 perl(IO::Handle)  
      1 perl(IO::Select)  
      1 perl(IPC::Open2)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::Config)  
      1 perl(RHN::DB)  
      1 perl(RHN::SimpleStruct)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(XML::LibXML)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-base  
      1 /usr/bin/perl  
spacewalk-grail-1.5.11-1.fc15.noarch.rpm
      1 perl(Carp)  
      1 perl(Grail::Canvas)  
      1 perl(Grail::Component)  
      1 perl(PXT::Utils)  
      1 perl(strict)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-base  
spacewalk-html-1.5.11-1.fc15.noarch.rpm
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-branding  
      1 webserver  
spacewalk-pxt-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-pxt) = 1.5.11-1.fc15
      1 httpd  
      1 perl(Apache2::Access)  
      1 perl(Apache2::Connection)  
      1 perl(Apache2::Const)  
      1 perl(Apache2::Cookie)  
      1 perl(Apache2::Log)  
      1 perl(Apache2::Request)  
      1 perl(Apache2::RequestIO)  
      1 perl(Apache2::RequestUtil)  
      1 perl(Apache2::ServerUtil)  
      1 perl(Apache2::SubRequest)  
      1 perl(Apache2::URI)  
      1 perl(Apache2::Util)  
      1 perl(APR::URI)  
      1 perl(BSD::Resource)  
      1 perl(bytes)  
      1 perl(Cache::FileCache)  
      1 perl(Carp)  
      1 perl(Compress::Zlib)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(File::Spec)  
      1 perl(HTML::Entities)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::ApacheHandler)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::Handlers)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Request)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Cleansers)  
      1 perl(RHN::DB)  
      1 perl(RHN::Exception)  
      1 perl(RHN::I18N)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Session)  
      1 perl(RHN::StoredMessage)  
      1 perl(RHN::User)  
      1 perl(Scalar::Util)  
      1 perl(strict)  
      1 perl(Sys::Hostname)  
      1 perl(Time::HiRes)  
      1 perl(URI::URL)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk(spacewalk-base-minimal)  
spacewalk-sniglets-1.5.11-1.fc15.noarch.rpm
      1 perl(base)  
      1 perl(Carp)  
      1 perl(Class::Struct)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(Digest::MD5)  
      1 perl(File::Spec)  
      1 perl(Mail::RFC822::Address)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::Config)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::Parser)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::ContactMethod)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::CustomInfo)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Probe)  
      1 perl(RHN::DataSource::Scout)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::DataSource::User)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::Exception)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::Kickstart)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Postal)  
      1 perl(RHN::Profile)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SearchTypes)  
      1 perl(RHN::Server)  
      1 perl(RHN::ServerActions)  
      1 perl(RHN::ServerGroup)  
      1 perl(RHN::ServerNotes)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::TinyURL)  
      1 perl(RHN::Token)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(Sniglets::ActivationKeys)  
      1 perl(Sniglets::AppInstall)  
      1 perl(Sniglets::Forms)  
      1 perl(Sniglets::Forms::Style)  
      1 perl(Sniglets::Forms::Style::standard)  
      1 perl(Sniglets::HTML)  
      1 perl(Sniglets::Channel)  
      1 perl(Sniglets::Lists)  
      1 perl(Sniglets::ListView::ConfigChannelList)  
      1 perl(Sniglets::ListView::ErrataList)  
      1 perl(Sniglets::ListView::ExtraClasses)  
      1 perl(Sniglets::ListView::FileList)  
      1 perl(Sniglets::ListView::GeneralList)  
      1 perl(Sniglets::ListView::ChannelList)  
      1 perl(Sniglets::ListView::List)  
      1 perl(Sniglets::ListView::PackageList)  
      1 perl(Sniglets::ListView::Parser)  
      1 perl(Sniglets::ListView::ProbeList)  
      1 perl(Sniglets::ListView::Style)  
      1 perl(Sniglets::ListView::Style::blank)  
      1 perl(Sniglets::ListView::SystemGroupList)  
      1 perl(Sniglets::ListView::SystemList)  
      1 perl(Sniglets::ListView::UserList)  
      1 perl(Sniglets::Navi::Node)  
      1 perl(Sniglets::Navi::Parser)  
      1 perl(Sniglets::Navi::Style)  
      1 perl(Sniglets::Navi::Style::ul)  
      1 perl(Sniglets::Navi::Tree)  
      1 perl(Sniglets::Packages)  
      1 perl(Sniglets::Search)  
      1 perl(Sniglets::ServerActions)  
      1 perl(Sniglets::ServerGroup)  
      1 perl(Sniglets::Servers)  
      1 perl(strict)  
      1 perl(URI)  
      1 perl(XML::LibXML)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Non-perl and non-rpmlib requires:

spacewalk-base-minimal-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-base-minimal) = 1.5.11-1.fc15
      1 httpd  
      1 tomcat6  
spacewalk-base-1.5.11-1.fc15.noarch.rpm
      1 spacewalk-pxt  
      1 webserver  
spacewalk-dobby-1.5.11-1.fc15.noarch.rpm
      1 /bin/bash  
      1 config(spacewalk-dobby) = 1.5.11-1.fc15
      1 httpd  
      1 spacewalk-base  
spacewalk-grail-1.5.11-1.fc15.noarch.rpm
      1 spacewalk-base  
spacewalk-html-1.5.11-1.fc15.noarch.rpm
      1 spacewalk-branding  
      1 webserver  
spacewalk-pxt-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-pxt) = 1.5.11-1.fc15
      1 httpd  
      1 spacewalk(spacewalk-base-minimal)  
spacewalk-sniglets-1.5.11-1.fc15.noarch.rpm

Binary requires Ok.

Note: I saw Squid configuration files. Do you need to depend on squid?

spacewalk-base-minimal-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-base-minimal) = 1.5.11-1.fc15
      1 perl(PXT::Config)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::db)  
      1 perl(RHN::DB::st)  
      1 perl(RHN::Exception)  
      1 perl(RHN::Exception::DB)  
      1 perl(RHN::SessionSwap)  
      1 rhn-base-minimal = 5.3.0
      1 spacewalk-base-minimal = 1.5.11-1.fc15
      1 spacewalk(spacewalk-base-minimal) = 1.5.11-1.fc15
spacewalk-base-1.5.11-1.fc15.noarch.rpm
      1 perl(RHN::Access)  
      1 perl(RHN::Access::Action)  
      1 perl(RHN::Access::Channel)  
      1 perl(RHN::Access::Package)  
      1 perl(RHN::Access::System)  
      1 perl(RHN::Access::Token)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::ACL)  
      1 perl(RHN::AppInstall::ActionHandler)  
      1 perl(RHN::AppInstall::ActionHandler::ActionRunner)  
      1 perl(RHN::AppInstall::ActionHandler::ActionScheduler)  
      1 perl(RHN::AppInstall::Instance)  
      1 perl(RHN::AppInstall::Parser)  
      1 perl(RHN::AppInstall::Process)  
      1 perl(RHN::AppInstall::Process::Configure)  
      1 perl(RHN::AppInstall::Process::Install)  
      1 perl(RHN::AppInstall::Process::InstallProgress)  
      1 perl(RHN::AppInstall::Process::Remove)  
      1 perl(RHN::AppInstall::Process::Step)  
      1 perl(RHN::AppInstall::Process::Step::Action)  
      1 perl(RHN::AppInstall::Process::Step::Action::Arg)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus::Action)  
      1 perl(RHN::AppInstall::Process::Step::Activity)  
      1 perl(RHN::AppInstall::Process::Step::Activity::Action)  
      1 perl(RHN::AppInstall::Process::Step::CollectData)  
      1 perl(RHN::AppInstall::Process::Step::Redirect)  
      1 perl(RHN::AppInstall::Process::Step::Requirements)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions::Action)  
      1 perl(RHN::AppInstall::Replace)  
      1 perl(RHN::AppInstall::RequirementHandler)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::AppInstall::Session::Access)  
      1 perl(RHN::Cache::File)  
      1 perl(RHN::Cert)  
      1 perl(RHN::Cleansers)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::ContactMethod)  
      1 perl(RHN::CryptoKey)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::CustomInfo)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Probe)  
      1 perl(RHN::DataSource::Scout)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::DataSource::User)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB::Action)  
      1 perl(RHN::DB::AppInstall::Instance)  
      1 perl(RHN::DB::AppInstall::Session)  
      1 perl(RHN::DB::ConfigChannel)  
      1 perl(RHN::DB::ConfigRevision)  
      1 perl(RHN::DB::ContactGroup)  
      1 perl(RHN::DB::ContactMethod)  
      1 perl(RHN::DB::CryptoKey)  
      1 perl(RHN::DB::CustomInfoKey)  
      1 perl(RHN::DB::DataSource)  
      1 perl(RHN::DB::Entitlements)  
      1 perl(RHN::DB::Errata)  
      1 perl(RHN::DB::ErrataEditor)  
      1 perl(RHN::DB::ErrataTmp)  
      1 perl(RHN::DB::FileList)  
      1 perl(RHN::DB::Channel)  
      1 perl(RHN::DB::ChannelEditor)  
      1 perl(RHN::DB::JoinClass)  
      1 perl(RHN::DB::Kickstart)  
      1 perl(RHN::DB::Kickstart::Session)  
      1 perl(RHN::DB::KSTree)  
      1 perl(RHN::DB::Notes)  
      1 perl(RHN::DB::Org)  
      1 perl(RHN::DB::Package)  
      1 perl(RHN::DB::Package::SolarisPackage)  
      1 perl(RHN::DB::Package::SolarisPatch)  
      1 perl(RHN::DB::Package::SolarisPatchSet)  
      1 perl(RHN::DB::Profile)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::DB::SatInstall)  
      1 perl(RHN::DB::Server)  
      1 perl(RHN::DB::ServerActions)  
      1 perl(RHN::DB::Server::CdDevice)  
      1 perl(RHN::DB::ServerGroup)  
      1 perl(RHN::DB::Server::HwDevice)  
      1 perl(RHN::DB::Server::NetInfo)  
      1 perl(RHN::DB::Server::NetInterface)  
      1 perl(RHN::DB::Server::StorageDevice)  
      1 perl(RHN::DB::Set)  
      1 perl(RHN::DB::Scheduler)  
      1 perl(RHN::DB::SystemSnapshot)  
      1 perl(RHN::DB::TableClass)  
      1 perl(RHN::DB::Tag)  
      1 perl(RHN::DB::TemplateString)  
      1 perl(RHN::DB::TinyURL)  
      1 perl(RHN::DB::Token)  
      1 perl(RHN::DB::User)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataEditor)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::FileList)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::Filter)  
      1 perl(RHN::Form::NamespaceForm)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Parser)  
      1 perl(RHN::Form::RealizedForm)  
      1 perl(RHN::Form::Require)  
      1 perl(RHN::Form::Response)  
      1 perl(RHN::Form::Widget)  
      1 perl(RHN::Form::Widget::File)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Multiple)  
      1 perl(RHN::Form::Widget::Password)  
      1 perl(RHN::Form::Widget::RadiobuttonGroup)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Spacer)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Form::Widget::Text)  
      1 perl(RHN::Form::Widget::TextArea)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::I18N)  
      1 perl(RHN::Kickstart)  
      1 perl(RHN::Kickstart::Commands)  
      1 perl(RHN::Kickstart::Include)  
      1 perl(RHN::Kickstart::IPAddress)  
      1 perl(RHN::Kickstart::IPRange)  
      1 perl(RHN::Kickstart::Logvols)  
      1 perl(RHN::Kickstart::Multi)  
      1 perl(RHN::Kickstart::Packages)  
      1 perl(RHN::Kickstart::Partitions)  
      1 perl(RHN::Kickstart::Password)  
      1 perl(RHN::Kickstart::Post)  
      1 perl(RHN::Kickstart::Pre)  
      1 perl(RHN::Kickstart::Raids)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Kickstart::Volgroups)  
      1 perl(RHN::KSTree)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Manifest::Package)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Package::SolarisPackage)  
      1 perl(RHN::Package::SolarisPatch)  
      1 perl(RHN::Package::SolarisPatchSet)  
      1 perl(RHN::Postal)  
      1 perl(RHN::Profile)  
      1 perl(RHN::ProxyInstall)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SCDB)  
      1 perl(RHN::SearchType)  
      1 perl(RHN::SearchTypes)  
      1 perl(RHN::SearchType::System)  
      1 perl(RHN::Server)  
      1 perl(RHN::ServerActions)  
      1 perl(RHN::ServerEvent)  
      1 perl(RHN::ServerEvent::ConfigDeploy)  
      1 perl(RHN::ServerEvent::ConfigDiff)  
      1 perl(RHN::ServerEvent::ConfigUpload)  
      1 perl(RHN::ServerEvent::DeltaTransaction)  
      1 perl(RHN::ServerEvent::ErrataUpdate)  
      1 perl(RHN::ServerEvent::History)  
      1 perl(RHN::ServerEvent::PackageAction)  
      1 perl(RHN::ServerEvent::PackageRemove)  
      1 perl(RHN::ServerEvent::PackageRemove::Solaris)  
      1 perl(RHN::ServerEvent::PackageUpdate)  
      1 perl(RHN::ServerEvent::PackageUpdate::Solaris)  
      1 perl(RHN::ServerEvent::PackageVerify)  
      1 perl(RHN::ServerEvent::RemoteCommand)  
      1 perl(RHN::ServerEvent::SimpleAction)  
      1 perl(RHN::ServerGroup)  
      1 perl(RHN::ServerNotes)  
      1 perl(RHN::Session)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SimpleStruct)  
      1 perl(RHN::StoredMessage) = 1.12
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::Tag)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::TinyURL)  
      1 perl(RHN::Token)  
      1 perl(RHN::TSDB)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(RHN) = 0.04
      1 rhn-base = 5.3.0
      1 spacewalk-base = 1.5.11-1.fc15
      1 spacewalk(spacewalk-base-minimal) = 1.5.11-1.fc15
      1 spacewalk(spacewalk-base) = 1.5.11-1.fc15
spacewalk-dobby-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-dobby) = 1.5.11-1.fc15
      1 perl(Dobby::BackupLog)  
      1 perl(Dobby::BackupLog::FileEntry)  
      1 perl(Dobby::BackupLog::TablespaceEntry)  
      1 perl(Dobby::CLI)  
      1 perl(Dobby::CLI::BackupCommands)  
      1 perl(Dobby::CLI::MaintCommands)  
      1 perl(Dobby::CLI::MiscCommands)  
      1 perl(Dobby::DB)  
      1 perl(Dobby::Files)  
      1 perl(Dobby::Log)  
      1 perl(Dobby::Reporting)  
      1 perl(Dobby) = 0.01
      1 rhn-dobby = 5.3.0
      1 spacewalk-dobby = 1.5.11-1.fc15
spacewalk-grail-1.5.11-1.fc15.noarch.rpm
      1 perl(Grail::Canvas)  
      1 perl(Grail::Component)  
      1 perl(Grail::Frame)  
      1 perl(Grail) = 0.01
      1 rhn-grail = 5.3.0
      1 spacewalk-grail = 1.5.11-1.fc15
spacewalk-html-1.5.11-1.fc15.noarch.rpm
      1 rhn-help = 5.3.0
      1 rhn-html = 5.3.0
      1 spacewalk-html = 1.5.11-1.fc15
spacewalk-pxt-1.5.11-1.fc15.noarch.rpm
      1 config(spacewalk-pxt) = 1.5.11-1.fc15
      1 perl(PXT::ACL)  
      1 perl(PXT::ApacheAuth)  
      1 perl(PXT::ApacheHandler)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::Handlers)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Request)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Trace::DB)  
      1 perl(PXT::Trace::Hit)  
      1 perl(PXT::Utils)  
      1 perl(PXT) = 0.04
      1 rhn-pxt = 5.3.0
      1 spacewalk-pxt = 1.5.11-1.fc15
spacewalk-sniglets-1.5.11-1.fc15.noarch.rpm
      1 perl(Sniglets::ActivationKeys)  
      1 perl(Sniglets::AppInstall)  
      1 perl(Sniglets::ContactMethod)  
      1 perl(Sniglets::CustomInfo)  
      1 perl(Sniglets::Errata)  
      1 perl(Sniglets::ErrataEditor)  
      1 perl(Sniglets::Forms)  
      1 perl(Sniglets::Forms::Style)  
      1 perl(Sniglets::Forms::Style::kickstart)  
      1 perl(Sniglets::Forms::Style::namespace)  
      1 perl(Sniglets::Forms::Style::standard)  
      1 perl(Sniglets::Forms::Style::survey)  
      1 perl(Sniglets::Header)  
      1 perl(Sniglets::HTML)  
      1 perl(Sniglets::Channel)  
      1 perl(Sniglets::ChannelEditor)  
      1 perl(Sniglets::Kickstart)  
      1 perl(Sniglets::Lists)  
      1 perl(Sniglets::ListUtils)  
      1 perl(Sniglets::ListView::ActionList)  
      1 perl(Sniglets::ListView::ConfigChannelList)  
      1 perl(Sniglets::ListView::ContactMethodList)  
      1 perl(Sniglets::ListView::CustomInfo)  
      1 perl(Sniglets::ListView::ErrataList)  
      1 perl(Sniglets::ListView::ExtraClasses)  
      1 perl(Sniglets::ListView::FileList)  
      1 perl(Sniglets::ListView::GeneralList)  
      1 perl(Sniglets::ListView::ChannelList)  
      1 perl(Sniglets::ListView::List)  
      1 perl(Sniglets::ListView::PackageList)  
      1 perl(Sniglets::ListView::Parser)  
      1 perl(Sniglets::ListView::ProbeList)  
      1 perl(Sniglets::ListView::ProfileList)  
      1 perl(Sniglets::ListView::ScoutList)  
      1 perl(Sniglets::ListView::Style)  
      1 perl(Sniglets::ListView::Style::blank)  
      1 perl(Sniglets::ListView::Style::channel_tree)  
      1 perl(Sniglets::ListView::Style::standard)  
      1 perl(Sniglets::ListView::Style::your_rhn_summary)  
      1 perl(Sniglets::ListView::SystemGroupList)  
      1 perl(Sniglets::ListView::SystemList)  
      1 perl(Sniglets::ListView::TracerList)  
      1 perl(Sniglets::ListView::TracerList::HitDS)  
      1 perl(Sniglets::ListView::TracerList::SessionDS)  
      1 perl(Sniglets::ListView::UserList)  
      1 perl(Sniglets::Navi)  
      1 perl(Sniglets::Navi::Node)  
      1 perl(Sniglets::Navi::Parser)  
      1 perl(Sniglets::Navi::Style)  
      1 perl(Sniglets::Navi::Style::contentnav)  
      1 perl(Sniglets::Navi::Style::sidenav)  
      1 perl(Sniglets::Navi::Style::topnav)  
      1 perl(Sniglets::Navi::Style::ul)  
      1 perl(Sniglets::Navi::Tree)  
      1 perl(Sniglets::Packages)  
      1 perl(Sniglets::Profiles)  
      1 perl(Sniglets::Scouts)  
      1 perl(Sniglets::Search)  
      1 perl(Sniglets::ServerActions)  
      1 perl(Sniglets::ServerGroup)  
      1 perl(Sniglets::ServerNotes)  
      1 perl(Sniglets::Servers)  
      1 perl(Sniglets::Sets)  
      1 perl(Sniglets::Snapshot)  
      1 perl(Sniglets::Users)  
      1 perl(Sniglets::Utils)  
      1 perl(Sniglets) = 0.01
      1 rhn-sniglets = 5.3.0
      1 spacewalk-sniglets = 1.5.11-1.fc15
Binary provides Ok.

$ resolvedeps f17-build  spacewalk-*
Binary dependencies resolvable. Ok.

Package ??? builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3235629). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefix issues, consider fixing `TODO' items and provide new spec file.

Resolution: Package NOT approved.
Comment 2 Petr Pisar 2011-07-29 03:52:09 EDT
> TODO: spacewalk-html subpackage contains MIT licensed code
> (html/javascript/controls.js,
> http://madrobby.github.com/scriptaculous/license/). Add proper value to License
> tag for this subpackage.

Actually the javascript code is in separate files. The MIT code does not combine with GPL code until it reaches client web browser, so the MIT code is not infected by GPL code in source nor binary RPM package. Thus I conclude adding `MIT' to package license tag is a must. Thus:

FIX: Add MIT to license tag of spacewalk-html sub-package.


And yet another problem. The Perl modules are installed into global Perl vendor directory, thus they are accessible by any other Perl programs. Also your Perl modules contain tests and other Perl infrastructure that is not utilized by your spec file. In other words the Perl modules seem to be bundled to spacewalk-web source tar ball and thus should be packaged as standalone RPM packages (with running tests) by standalone SPEC files.
Comment 3 Miroslav Suchý 2011-07-29 07:26:12 EDT
>TODO: I think `Spacewalk web site' or `Spacewalk web interface' would be
>enough. The word (Spacewalk) `packages' interfere with RPM packages.

fixed

>TODO: spacewalk-html subpackage contains MIT licensed code

fixed

> TODO: spacewalk-base-minimal summary is too cryptic. Replace ".pm's" with `Perl
modules' or make it more human-friendly in other way.

fixed

> TODO: spacewalk-web package summary contains lower-case `rpm' abbreviation. Use
upper case.

fixed

> TODO: Some package descriptions do not end with full stop.

fixed

> TODO: Remove BuildRoot definition and it's cleaning as it's default behavior of
rpmbuild.

Negative sir. We still care about EPEL4, where we need it.

>FIX: Add Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
$version)) too all subpackages with Perl modules

fixed

> TODO: Add %{?_smp_mflags} to make arguments to utilize all CPU's while
`compiling'.

fixed

> TODO: Remove %defattr macro from %files sections as this is implicit.

fixed

>FIX: Escape percentage symbol in changelog, otherwise it's subject of
SPEC-macro expansion.

fixed 

> Notice: Is /var/www/html/network/software/channels/keys/BETA-RPM-GPG-KEY a GPG
key stored along web pages? Should it be a %config file? I don't like it.

Dead files. Removed.

>  Also your Perl modules contain tests and other Perl infrastructure that is not utilized by your spec file.

That is because that those tests are not maintained for ages and very probably do not work.
Comment 5 Petr Pisar 2011-07-29 08:47:24 EDT
Thanks for quick response, but this is rebase and I'm leaving in one hour for two-week vacations. Ask mmaslano@redhat.com or psabata@redhat.com to finish this review.
Comment 6 Petr Pisar 2011-08-19 04:40:43 EDT
Spec file changes:

--- spacewalk-web.spec	2011-05-17 15:34:45.000000000 +0200
+++ spacewalk-web.spec.1	2011-07-29 13:29:48.000000000 +0200
@@ -1,8 +1,8 @@
 Name: spacewalk-web
-Summary: Spacewalk Web site packages
+Summary: Spacewalk Web site - Perl modules
 Group: Applications/Internet
 License: GPLv2
-Version: 1.5.11
+Version: 1.6.6
 Release: 1%{?dist}
 URL:          https://fedorahosted.org/spacewalk
 Source0:      https://fedorahosted.org/releases/s/p/spacewalk/%{name}-%{version}.tar.gz
@@ -12,8 +12,8 @@
 
 %description
 This package contains the code for the Spacewalk Web Site.
-Normally this source rpm does not generate a %{name} binary package,
-but it does generate a number of sub-packages
+Normally this source RPM does not generate a %{name} binary package,
+but it does generate a number of sub-packages.
 
 %package -n spacewalk-html
 Summary: HTML document files for Spacewalk
@@ -24,7 +24,10 @@
 Provides: rhn-help = 5.3.0
 Obsoletes: rhn-html < 5.3.0
 Provides: rhn-html = 5.3.0
-
+# files html/javascript/{builder.js,controls.js,dragdrop.js,effects.js,
+# prototype-1.6.0.js,scriptaculous.js,slider.js,sound.js,unittest.js}
+# are licensed under MIT license
+License: GPLv2 and MIT
 
 %description -n spacewalk-html
 This package contains the HTML files for the Spacewalk web site.
@@ -37,36 +40,41 @@
 Provides: spacewalk(spacewalk-base-minimal) = %{version}-%{release}
 Provides: spacewalk(spacewalk-base) = %{version}-%{release}
 Requires: webserver
+Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Obsoletes: rhn-base < 5.3.0
 Provides: rhn-base = 5.3.0
 
 
 %description -n spacewalk-base
 This package includes the core RHN:: packages necessary to manipulate
-database.  This includes RHN::* and RHN::DB::*
+database.  This includes RHN::* and RHN::DB::*.
 
 
 %package -n spacewalk-base-minimal
-Summary: Minimal .pm's for %{name} package
+Summary: Core of Perl modules for %{name} package
 Group: Applications/Internet 
 Provides: spacewalk(spacewalk-base-minimal) = %{version}-%{release}
-%if (0%{?rhel} && 0%{?rhel} < 6) || (0%{?fedora} && 0%{?fedora} < 13)
+%if 0%{?rhel} && 0%{?rhel} < 6
 Requires: tomcat5
 %else
 Requires: tomcat6
 %endif
 Requires: httpd
+Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Obsoletes: rhn-base-minimal < 5.3.0
 Provides: rhn-base-minimal = 5.3.0
 
 %description -n spacewalk-base-minimal
 Independent Perl modules in the RHN:: name-space.
+This are very basic modules need to handle config files, database, sessions
+and exceptions.
 
 %package -n spacewalk-dobby
 Summary: Perl modules and scripts to administer an Oracle database
 Group: Applications/Internet
 Requires: spacewalk-base
 Requires: httpd
+Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Obsoletes: rhn-dobby < 5.3.0
 Provides: rhn-dobby = 5.3.0
 
@@ -78,6 +86,7 @@
 %package -n spacewalk-grail
 Summary: Grail, a component framework for Red Hat Network
 Requires: spacewalk-base
+Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Group: Applications/Internet
 Obsoletes: rhn-grail < 5.3.0
 Provides: rhn-grail = 5.3.0
@@ -93,11 +102,12 @@
 Requires: httpd
 Obsoletes: rhn-pxt < 5.3.0
 Provides:  rhn-pxt = 5.3.0
+Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description -n spacewalk-pxt
 This package is the core software of the new Spacewalk site.  It is responsible
 for HTML, XML, WML, HDML, and SOAP output of data.  It is more or less
-equivalent to things like Apache::ASP and Mason
+equivalent to things like Apache::ASP and Mason.
 
 
 %package -n spacewalk-sniglets
@@ -105,20 +115,21 @@
 Summary: PXT Tag handlers
 Obsoletes: rhn-sniglets < 5.3.0
 Provides:  rhn-sniglets = 5.3.0
+Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description -n spacewalk-sniglets
-This package contains the tag handlers for the PXT templates
+This package contains the tag handlers for the PXT templates.
 
 
 %prep
 %setup -q
 
 %build
-make -f Makefile.spacewalk-web PERLARGS="INSTALLDIRS=vendor"
+make -f Makefile.spacewalk-web PERLARGS="INSTALLDIRS=vendor" %{?_smp_mflags}
 
 %install
 rm -rf $RPM_BUILD_ROOT
-make -C modules install DESTDIR=$RPM_BUILD_ROOT PERLARGS="INSTALLDIRS=vendor"
+make -C modules install DESTDIR=$RPM_BUILD_ROOT PERLARGS="INSTALLDIRS=vendor" %{?_smp_mflags}
 make -C html install PREFIX=$RPM_BUILD_ROOT
 
 find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} \;
@@ -139,7 +150,6 @@
 rm -rf $RPM_BUILD_ROOT
 
 %files -n spacewalk-base
-%defattr(644,root,root,755)
 %dir %{perl_vendorlib}/RHN
 %dir %{perl_vendorlib}/PXT
 %{perl_vendorlib}/RHN.pm
@@ -215,7 +225,6 @@
 %{_mandir}/man3/RHN::TSDB.3pm.gz
 
 %files -n spacewalk-base-minimal
-%defattr(644,root,root,755)
 %dir %{perl_vendorlib}/RHN
 %dir %{perl_vendorlib}/PXT
 %{perl_vendorlib}/RHN/SessionSwap.pm
@@ -226,7 +235,6 @@
 %doc LICENSE
 
 %files -n spacewalk-dobby
-%defattr(644,root,root,755)
 %attr(755,root,root) %{_bindir}/db-control
 %{_mandir}/man1/db-control.1.gz
 %{perl_vendorlib}/Dobby.pm
@@ -235,30 +243,75 @@
 %{perl_vendorlib}/Dobby/
 
 %files -n spacewalk-grail
-%defattr(644,root,root,755)
 %{perl_vendorlib}/Grail.pm
 %{perl_vendorlib}/Grail/
 
 %files -n spacewalk-pxt 
-%defattr(644,root,root,755)
 %{perl_vendorlib}/PXT.pm
 %attr(640,root,apache) %config %{_sysconfdir}/rhn/default/rhn_web.conf
 %{perl_vendorlib}/PXT/
 %{_mandir}/man3/PXT::ApacheHandler.3pm.gz
 
 %files -n spacewalk-sniglets 
-%defattr(644,root,root,755)
 %{perl_vendorlib}/Sniglets.pm
 %{perl_vendorlib}/Sniglets/
 
 %files -n spacewalk-html
-%defattr(644,root,root,755)
 %{_var}/www/html/*
+%doc LICENSE
 
 # $Id$
 %changelog
+* Fri Jul 29 2011 Miroslav Suchý 1.6.6-1
+- 705363 - remove obscure keys forgotten for ages
+- 705363 - Escape percentage symbol in changelog
+- 705363 - include LICENSE file in spacewalk-html
+- 705363 - defattr is not required any more if do not differ from default
+- 705363 - add _smp_mflags macro to make to utilize all CPUs while building
+- 705363 - require Perl for all subpackages with Perl modules
+- code cleanup - Proxy 4.x and older are not supported for some time, removing
+- 705363 - description must end with full stop
+- 705363 - spacewalk-web package summary contains lower-case `rpm'
+  abbreviation. Use upper case.
+- 705363 - clarify description and summary
+- 705363 - be more specific about license
+- 705363 - change summary of package
+
+* Fri Jul 29 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.5-1
+- 724963 - use ANSI joins
+- 724963 - use LEFT JOIN instead of MINUS
+
+* Wed Jul 27 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.4-1
+- fixed ORA-00904 in remote commands
+
+* Fri Jul 22 2011 Jan Pazdziora 1.6.3-1
+- We only support version 14 and newer of Fedora, removing conditions for old
+  versions.
+
+* Thu Jul 21 2011 Miroslav Suchý 1.6.2-1
+- Sysdate replaced with current_timestamp
+
+* Wed Jul 20 2011 Jan Pazdziora 1.6.1-1
+- Bumping up the Spacewalk version to 1.6 (shown on the WebUI).
+
+* Tue Jul 19 2011 Jan Pazdziora 1.5.16-1
+- Updating the copyright years.
+
+* Mon Jul 11 2011 Jan Pazdziora 1.5.15-1
+- Refactor RedHat.do to Vendor.do (jrenner@suse.de)
+
+* Mon May 30 2011 Michael Mraka <michael.mraka@redhat.com> 1.5.14-1
+- made some queries PG compatible
+- fixing ISE in errata cloning
+
+* Tue May 24 2011 Jan Pazdziora 1.5.13-1
+- replaced (+) with ANSI left join (je@rockenstein.de)
+
+* Thu May 19 2011 Michael Mraka <michael.mraka@redhat.com> 1.5.12-1
+- made queries PostgreSQL compatible
+
 * Tue May 17 2011 Miroslav Suchý 1.5.11-1
-- spacewalk-pxt.noarch: W: spelling-error %description -l en_US equlivalent ->
+- spacewalk-pxt.noarch: W: spelling-error %%description -l en_US equlivalent ->
   equivalent, equivalence, univalent (msuchy@redhat.com)
 
 * Tue May 17 2011 Miroslav Suchý 1.5.10-1


> TODO: I think `Spacewalk web site' or `Spacewalk web interface' would be
> enough. The word (Spacewalk) `packages' interfere with RPM packages.
-Summary: Spacewalk Web site packages
+Summary: Spacewalk Web site - Perl modules
Ok.

> TODO: spacewalk-html subpackage contains MIT licensed code
> (html/javascript/controls.js, http://madrobby.github.com/scriptaculous/license/).
> Add proper value to License tag for this subpackage.
> FIX: Add MIT to license tag of spacewalk-html sub-package.
-
+# files html/javascript/{builder.js,controls.js,dragdrop.js,effects.js,
+# prototype-1.6.0.js,scriptaculous.js,slider.js,sound.js,unittest.js}
+# are licensed under MIT license
+License: GPLv2 and MIT
Ok.

> TODO: spacewalk-base-minimal summary is too cryptic. Replace ".pm's" with `Perl
> modules' or make it more human-friendly in other way.
 %package -n spacewalk-base-minimal
-Summary: Minimal .pm's for %{name} package
+Summary: Core of Perl modules for %{name} package
Ok.

> TODO: spacewalk-web package summary contains lower-case `rpm' abbreviation.
> Use upper case.
 %description
 This package contains the code for the Spacewalk Web Site.
-Normally this source rpm does not generate a %{name} binary package,
-but it does generate a number of sub-packages
+Normally this source RPM does not generate a %{name} binary package,
+but it does generate a number of sub-packages.
Ok.

> TODO: Some package descriptions do not end with full stop.
Ok.

> > TODO: Remove BuildRoot definition and it's cleaning as it's default behavior
> > of rpmbuild.
> Negative sir. We still care about EPEL4, where we need it.
Ok.

> FIX: Add Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
> echo $version)) too all subpackages with Perl modules
> (https://fedoraproject.org/wiki/Packaging:Perl#Versioned_MODULE_COMPAT_Requires).
Required by and presented now at: spacewalk-base, spacewalk-base-minimal, spacewalk-dobby, spacewalk-grail, spacewalk-pxt, spacewalk-sniglets.
Ok.

> TODO: Add %{?_smp_mflags} to make arguments to utilize all CPU's while
> `compiling'.
 %build
-make -f Makefile.spacewalk-web PERLARGS="INSTALLDIRS=vendor"
+make -f Makefile.spacewalk-web PERLARGS="INSTALLDIRS=vendor" %{?_smp_mflags}
Ok.

> TODO: Remove %defattr macro from %files sections as this is implicit.
Ok.

> FIX: spacewalk-html does not content LICENSE file and does not require
> spacewalk-base-minimal delivering the file. Distribute LICENSE file with
> spacewalk-html.
 %files -n spacewalk-html
-%defattr(644,root,root,755)
 %{_var}/www/html/*
+%doc LICENSE
Ok.

> FIX: Escape percentage symbol in changelog, otherwise it's subject of
> SPEC-macro expansion.
-- spacewalk-pxt.noarch: W: spelling-error %description -l en_US equlivalent ->
+- spacewalk-pxt.noarch: W: spelling-error %%description -l en_US equlivalent ->
Ok.

> > Notice: Is /var/www/html/network/software/channels/keys/BETA-RPM-GPG-KEY a
> > GPG key stored along web pages? Should it be a %config file? I don't like it.
> Dead files. Removed.
Ok.


Re-review of the rebased pacakage:

TODO: Normalize home page URL. I.e. append slash.

TODO: Correct Source0 URL if possible. The file (https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-web-1.6.6.tar.gz) does not exist at the location.

XXX: I could not verify source tar ball integrity because I could not found the tar ball in independent way (no link on upstream web site). Following review is based on source code provided in SRPM.

License verified from LICENSE and various source files. This is GPLv2 only. The spacewalk-html sub-package contains MIT-licensed code that does not mix with GPLv2 code at compilation time. Ok.

No XS code or any other architecture specific code found. noarch architecture is Ok.

$ rpmlint spacewalk-web.spec ../SRPMS/spacewalk-web-1.6.6-1.fc15.src.rpm ../RPMS/noarch/spacewalk-*1.6.6-*
spacewalk-web.spec: W: invalid-url Source0: https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-web-1.6.6.tar.gz HTTP Error 404: Not Found
spacewalk-web.src: W: invalid-url Source0: https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-web-1.6.6.tar.gz HTTP Error 404: Not Found
spacewalk-base-minimal.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
spacewalk-base-minimal.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-base-minimal.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-dobby.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_dobby.conf
spacewalk-dobby.noarch: E: non-readable /etc/rhn/default/rhn_dobby.conf 0640L
spacewalk-grail.noarch: W: no-documentation
spacewalk-html.noarch: E: script-without-shebang /var/www/html/javascript/channel_tree.js
spacewalk-html.noarch: E: script-without-shebang /var/www/html/javascript/tree.js
spacewalk-pxt.noarch: W: spelling-error Summary(en_US) templating -> contemplating, tempting, template
spacewalk-pxt.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-pxt.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-sniglets.noarch: W: no-documentation
spacewalk-sniglets.noarch: E: non-standard-executable-perm /usr/share/perl5/vendor_perl/Sniglets/Header.pm 0555L
spacewalk-sniglets.noarch: E: script-without-shebang /usr/share/perl5/vendor_perl/Sniglets/Header.pm
8 packages and 1 specfiles checked; 7 errors, 9 warnings.

FIX: Replace word `config' with `configuration' in spacewalk-base-minimal description.

Replaceable and non-readable files configuration are acceptable per adjustment in initial comment.

FIX: Remove executable bit from /var/www/html/javascript/* files as they are not intended to be executed by kernel/linker.

FIX: Correct mode (0644) for files in /usr/share/perl5/vendor_perl/Sniglets/ as they are interpreted libraries.

Otherwise file permissions and layout are Ok.


All binary requires:

../RPMS/noarch/spacewalk-base-minimal-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-base-minimal) = 1.6.6-1.fc15
      1 httpd  
      1 perl(Carp)  
      1 perl(DBI)  
      1 perl(Digest::HMAC_SHA1)  
      1 perl(Digest::MD5)  
      1 perl(Exporter)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(overload)  
      1 perl(Params::Validate)  
      1 perl(PXT::Config)  
      1 perl(RHN::Exception)  
      1 perl(Scalar::Util)  
      1 perl(strict)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 tomcat6  
../RPMS/noarch/spacewalk-base-1.6.6-1.fc15.noarch.rpm:
      1 perl(Apache2::RequestUtil)  
      1 perl(Archive::Tar)  
      1 perl(Authen::PAM)  
      1 perl(base)  
      1 perl(Carp)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(DateTime)  
      1 perl(Digest::MD5)  
      1 perl(English)  
      1 perl(File::Spec)  
      1 perl(File::Temp)  
      1 perl(Frontier::Client)  
      1 perl(IO::File)  
      1 perl(IO::Socket::INET)  
      1 perl(IPC::Open3)  
      1 perl(lib)  
      1 perl(LWP::UserAgent)  
      1 perl(Mail::RFC822::Address)  
      1 perl(MIME::Base64)  
      1 perl(ModPerl::Util)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(NOCpulse::Config)  
      1 perl(overload)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::ACL)  
      1 perl(RHN::AppInstall::ActionHandler)  
      1 perl(RHN::AppInstall::ActionHandler::ActionRunner)  
      1 perl(RHN::AppInstall::ActionHandler::ActionScheduler)  
      1 perl(RHN::AppInstall::Instance)  
      1 perl(RHN::AppInstall::Process)  
      1 perl(RHN::AppInstall::Process::Configure)  
      1 perl(RHN::AppInstall::Process::Install)  
      1 perl(RHN::AppInstall::Process::InstallProgress)  
      1 perl(RHN::AppInstall::Process::Remove)  
      1 perl(RHN::AppInstall::Process::Step)  
      1 perl(RHN::AppInstall::Process::Step::Action)  
      1 perl(RHN::AppInstall::Process::Step::Action::Arg)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus::Action)  
      1 perl(RHN::AppInstall::Process::Step::Activity)  
      1 perl(RHN::AppInstall::Process::Step::Activity::Action)  
      1 perl(RHN::AppInstall::Process::Step::CollectData)  
      1 perl(RHN::AppInstall::Process::Step::Redirect)  
      1 perl(RHN::AppInstall::Process::Step::Requirements)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions::Action)  
      1 perl(RHN::AppInstall::Replace)  
      1 perl(RHN::AppInstall::RequirementHandler)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::AppInstall::Session::Access)  
      1 perl(RHN::Cache::File)  
      1 perl(RHN::Cert)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::CryptoKey)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::Action)  
      1 perl(RHN::DB::AppInstall::Instance)  
      1 perl(RHN::DB::AppInstall::Session)  
      1 perl(RHN::DB::ConfigChannel)  
      1 perl(RHN::DB::ConfigRevision)  
      1 perl(RHN::DB::ContactGroup)  
      1 perl(RHN::DB::ContactMethod)  
      1 perl(RHN::DB::CryptoKey)  
      1 perl(RHN::DB::CustomInfoKey)  
      1 perl(RHN::DB::DataSource)  
      1 perl(RHN::DB::Entitlements)  
      1 perl(RHN::DB::Errata)  
      1 perl(RHN::DB::ErrataEditor)  
      1 perl(RHN::DB::ErrataTmp)  
      1 perl(RHN::DB::FileList)  
      1 perl(RHN::DB::Channel)  
      1 perl(RHN::DB::ChannelEditor)  
      1 perl(RHN::DB::JoinClass)  
      1 perl(RHN::DB::Kickstart)  
      1 perl(RHN::DB::Kickstart::Session)  
      1 perl(RHN::DB::KSTree)  
      1 perl(RHN::DB::Notes)  
      1 perl(RHN::DB::Org)  
      1 perl(RHN::DB::Package)  
      1 perl(RHN::DB::Package::SolarisPackage)  
      1 perl(RHN::DB::Package::SolarisPatch)  
      1 perl(RHN::DB::Package::SolarisPatchSet)  
      1 perl(RHN::DB::Profile)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::DB::SatInstall)  
      1 perl(RHN::DB::Server)  
      1 perl(RHN::DB::ServerActions)  
      1 perl(RHN::DB::Server::CdDevice)  
      1 perl(RHN::DB::ServerGroup)  
      1 perl(RHN::DB::Server::HwDevice)  
      1 perl(RHN::DB::Server::NetInfo)  
      1 perl(RHN::DB::Server::NetInterface)  
      1 perl(RHN::DB::Server::StorageDevice)  
      1 perl(RHN::DB::Set)  
      1 perl(RHN::DB::Scheduler)  
      1 perl(RHN::DB::SystemSnapshot)  
      1 perl(RHN::DB::TableClass)  
      1 perl(RHN::DB::Tag)  
      1 perl(RHN::DB::TemplateString)  
      1 perl(RHN::DB::TinyURL)  
      1 perl(RHN::DB::Token)  
      1 perl(RHN::DB::User)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataEditor)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::Exception)  
      1 perl(RHN::FileList)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::Filter)  
      1 perl(RHN::Form::NamespaceForm)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Parser)  
      1 perl(RHN::Form::RealizedForm)  
      1 perl(RHN::Form::Require)  
      1 perl(RHN::Form::Response)  
      1 perl(RHN::Form::Widget)  
      1 perl(RHN::Form::Widget::File)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Password)  
      1 perl(RHN::Form::Widget::RadiobuttonGroup)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Form::Widget::Text)  
      1 perl(RHN::Form::Widget::TextArea)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::Kickstart::Commands)  
      1 perl(RHN::Kickstart::Include)  
      1 perl(RHN::Kickstart::IPAddress)  
      1 perl(RHN::Kickstart::IPRange)  
      1 perl(RHN::Kickstart::Logvols)  
      1 perl(RHN::Kickstart::Multi)  
      1 perl(RHN::Kickstart::Packages)  
      1 perl(RHN::Kickstart::Partitions)  
      1 perl(RHN::Kickstart::Password)  
      1 perl(RHN::Kickstart::Post)  
      1 perl(RHN::Kickstart::Pre)  
      1 perl(RHN::Kickstart::Raids)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Kickstart::Volgroups)  
      1 perl(RHN::KSTree)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Package::SolarisPackage)  
      1 perl(RHN::Package::SolarisPatch)  
      1 perl(RHN::Package::SolarisPatchSet)  
      1 perl(RHN::Profile)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SearchType)  
      1 perl(RHN::Server)  
      1 perl(RHN::SessionSwap)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SimpleStruct)  
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::Tag)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::Token)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(RPM2)  
      1 perl(Scalar::Util)  
      1 perl(Socket)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(Text::Wrap)  
      1 perl(Time::HiRes)  
      1 perl(URI::URL)  
      1 perl(vars)  
      1 perl(XML::LibXML)  
      1 perl(XML::LibXML) >= 1.53
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-pxt  
      1 webserver  
../RPMS/noarch/spacewalk-dobby-1.6.6-1.fc15.noarch.rpm:
      1 /bin/bash  
      1 config(spacewalk-dobby) = 1.6.6-1.fc15
      1 httpd  
      1 perl(Carp)  
      1 perl(Compress::Zlib)  
      1 perl(Digest::MD5)  
      1 perl(Dobby::BackupLog)  
      1 perl(Dobby::CLI)  
      1 perl(Dobby::CLI::BackupCommands)  
      1 perl(Dobby::CLI::MaintCommands)  
      1 perl(Dobby::CLI::MiscCommands)  
      1 perl(Dobby::DB)  
      1 perl(Dobby::Files)  
      1 perl(Dobby::Log)  
      1 perl(Dobby::Reporting)  
      1 perl(Fcntl)  
      1 perl(File::Basename)  
      1 perl(File::Spec)  
      1 perl(File::Spec::Functions)  
      1 perl(Filesys::Df)  
      1 perl(IO::Handle)  
      1 perl(IO::Select)  
      1 perl(IPC::Open2)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::Config)  
      1 perl(RHN::DB)  
      1 perl(RHN::SimpleStruct)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(XML::LibXML)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-base  
      1 /usr/bin/perl  
../RPMS/noarch/spacewalk-grail-1.6.6-1.fc15.noarch.rpm:
      1 perl(Carp)  
      1 perl(Grail::Canvas)  
      1 perl(Grail::Component)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(PXT::Utils)  
      1 perl(strict)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-base  
../RPMS/noarch/spacewalk-html-1.6.6-1.fc15.noarch.rpm:
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-branding  
      1 webserver  
../RPMS/noarch/spacewalk-pxt-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-pxt) = 1.6.6-1.fc15
      1 httpd  
      1 perl(Apache2::Access)  
      1 perl(Apache2::Connection)  
      1 perl(Apache2::Const)  
      1 perl(Apache2::Cookie)  
      1 perl(Apache2::Log)  
      1 perl(Apache2::Request)  
      1 perl(Apache2::RequestIO)  
      1 perl(Apache2::RequestUtil)  
      1 perl(Apache2::ServerUtil)  
      1 perl(Apache2::SubRequest)  
      1 perl(Apache2::URI)  
      1 perl(Apache2::Util)  
      1 perl(APR::URI)  
      1 perl(BSD::Resource)  
      1 perl(bytes)  
      1 perl(Cache::FileCache)  
      1 perl(Carp)  
      1 perl(Compress::Zlib)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(File::Spec)  
      1 perl(HTML::Entities)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::ApacheHandler)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::Handlers)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Request)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Cleansers)  
      1 perl(RHN::DB)  
      1 perl(RHN::Exception)  
      1 perl(RHN::I18N)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Session)  
      1 perl(RHN::StoredMessage)  
      1 perl(RHN::User)  
      1 perl(Scalar::Util)  
      1 perl(strict)  
      1 perl(Sys::Hostname)  
      1 perl(Time::HiRes)  
      1 perl(URI::URL)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk(spacewalk-base-minimal)  
../RPMS/noarch/spacewalk-sniglets-1.6.6-1.fc15.noarch.rpm:
      1 perl(base)  
      1 perl(Carp)  
      1 perl(Class::Struct)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(Digest::MD5)  
      1 perl(File::Spec)  
      1 perl(Mail::RFC822::Address)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::Config)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::Parser)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::ContactMethod)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::CustomInfo)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Probe)  
      1 perl(RHN::DataSource::Scout)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::DataSource::User)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::Exception)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::Kickstart)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Postal)  
      1 perl(RHN::Profile)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SearchTypes)  
      1 perl(RHN::Server)  
      1 perl(RHN::ServerActions)  
      1 perl(RHN::ServerGroup)  
      1 perl(RHN::ServerNotes)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::TinyURL)  
      1 perl(RHN::Token)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(Sniglets::ActivationKeys)  
      1 perl(Sniglets::AppInstall)  
      1 perl(Sniglets::Forms)  
      1 perl(Sniglets::Forms::Style)  
      1 perl(Sniglets::Forms::Style::standard)  
      1 perl(Sniglets::HTML)  
      1 perl(Sniglets::Channel)  
      1 perl(Sniglets::Lists)  
      1 perl(Sniglets::ListView::ConfigChannelList)  
      1 perl(Sniglets::ListView::ErrataList)  
      1 perl(Sniglets::ListView::ExtraClasses)  
      1 perl(Sniglets::ListView::FileList)  
      1 perl(Sniglets::ListView::GeneralList)  
      1 perl(Sniglets::ListView::ChannelList)  
      1 perl(Sniglets::ListView::List)  
      1 perl(Sniglets::ListView::PackageList)  
      1 perl(Sniglets::ListView::Parser)  
      1 perl(Sniglets::ListView::ProbeList)  
      1 perl(Sniglets::ListView::Style)  
      1 perl(Sniglets::ListView::Style::blank)  
      1 perl(Sniglets::ListView::SystemGroupList)  
      1 perl(Sniglets::ListView::SystemList)  
      1 perl(Sniglets::ListView::UserList)  
      1 perl(Sniglets::Navi::Node)  
      1 perl(Sniglets::Navi::Parser)  
      1 perl(Sniglets::Navi::Style)  
      1 perl(Sniglets::Navi::Style::ul)  
      1 perl(Sniglets::Navi::Tree)  
      1 perl(Sniglets::Packages)  
      1 perl(Sniglets::Search)  
      1 perl(Sniglets::ServerActions)  
      1 perl(Sniglets::ServerGroup)  
      1 perl(Sniglets::Servers)  
      1 perl(strict)  
      1 perl(URI)  
      1 perl(XML::LibXML)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Non-perl and non-rpmlib binary require:

../RPMS/noarch/spacewalk-base-minimal-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-base-minimal) = 1.6.6-1.fc15
      1 httpd  
      1 tomcat6  
../RPMS/noarch/spacewalk-base-1.6.6-1.fc15.noarch.rpm:
      1 spacewalk-pxt  
      1 webserver  
../RPMS/noarch/spacewalk-dobby-1.6.6-1.fc15.noarch.rpm:
      1 /bin/bash  
      1 config(spacewalk-dobby) = 1.6.6-1.fc15
      1 httpd  
      1 spacewalk-base  
      1 /usr/bin/perl  
../RPMS/noarch/spacewalk-grail-1.6.6-1.fc15.noarch.rpm:
      1 spacewalk-base  
../RPMS/noarch/spacewalk-html-1.6.6-1.fc15.noarch.rpm:
      1 spacewalk-branding  
      1 webserver  
../RPMS/noarch/spacewalk-pxt-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-pxt) = 1.6.6-1.fc15
      1 httpd  
      1 spacewalk(spacewalk-base-minimal)  
../RPMS/noarch/spacewalk-sniglets-1.6.6-1.fc15.noarch.rpm:

Binary requires Ok.


Binary provides:

../RPMS/noarch/spacewalk-base-minimal-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-base-minimal) = 1.6.6-1.fc15
      1 perl(PXT::Config)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::db)  
      1 perl(RHN::DB::st)  
      1 perl(RHN::Exception)  
      1 perl(RHN::Exception::DB)  
      1 perl(RHN::SessionSwap)  
      1 rhn-base-minimal = 5.3.0
      1 spacewalk-base-minimal = 1.6.6-1.fc15
      1 spacewalk(spacewalk-base-minimal) = 1.6.6-1.fc15
../RPMS/noarch/spacewalk-base-1.6.6-1.fc15.noarch.rpm:
      1 perl(RHN::Access)  
      1 perl(RHN::Access::Action)  
      1 perl(RHN::Access::Channel)  
      1 perl(RHN::Access::Package)  
      1 perl(RHN::Access::System)  
      1 perl(RHN::Access::Token)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::ACL)  
      1 perl(RHN::AppInstall::ActionHandler)  
      1 perl(RHN::AppInstall::ActionHandler::ActionRunner)  
      1 perl(RHN::AppInstall::ActionHandler::ActionScheduler)  
      1 perl(RHN::AppInstall::Instance)  
      1 perl(RHN::AppInstall::Parser)  
      1 perl(RHN::AppInstall::Process)  
      1 perl(RHN::AppInstall::Process::Configure)  
      1 perl(RHN::AppInstall::Process::Install)  
      1 perl(RHN::AppInstall::Process::InstallProgress)  
      1 perl(RHN::AppInstall::Process::Remove)  
      1 perl(RHN::AppInstall::Process::Step)  
      1 perl(RHN::AppInstall::Process::Step::Action)  
      1 perl(RHN::AppInstall::Process::Step::Action::Arg)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus::Action)  
      1 perl(RHN::AppInstall::Process::Step::Activity)  
      1 perl(RHN::AppInstall::Process::Step::Activity::Action)  
      1 perl(RHN::AppInstall::Process::Step::CollectData)  
      1 perl(RHN::AppInstall::Process::Step::Redirect)  
      1 perl(RHN::AppInstall::Process::Step::Requirements)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions::Action)  
      1 perl(RHN::AppInstall::Replace)  
      1 perl(RHN::AppInstall::RequirementHandler)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::AppInstall::Session::Access)  
      1 perl(RHN::Cache::File)  
      1 perl(RHN::Cert)  
      1 perl(RHN::Cleansers)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::ContactMethod)  
      1 perl(RHN::CryptoKey)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::CustomInfo)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Probe)  
      1 perl(RHN::DataSource::Scout)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::DataSource::User)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB::Action)  
      1 perl(RHN::DB::AppInstall::Instance)  
      1 perl(RHN::DB::AppInstall::Session)  
      1 perl(RHN::DB::ConfigChannel)  
      1 perl(RHN::DB::ConfigRevision)  
      1 perl(RHN::DB::ContactGroup)  
      1 perl(RHN::DB::ContactMethod)  
      1 perl(RHN::DB::CryptoKey)  
      1 perl(RHN::DB::CustomInfoKey)  
      1 perl(RHN::DB::DataSource)  
      1 perl(RHN::DB::Entitlements)  
      1 perl(RHN::DB::Errata)  
      1 perl(RHN::DB::ErrataEditor)  
      1 perl(RHN::DB::ErrataTmp)  
      1 perl(RHN::DB::FileList)  
      1 perl(RHN::DB::Channel)  
      1 perl(RHN::DB::ChannelEditor)  
      1 perl(RHN::DB::JoinClass)  
      1 perl(RHN::DB::Kickstart)  
      1 perl(RHN::DB::Kickstart::Session)  
      1 perl(RHN::DB::KSTree)  
      1 perl(RHN::DB::Notes)  
      1 perl(RHN::DB::Org)  
      1 perl(RHN::DB::Package)  
      1 perl(RHN::DB::Package::SolarisPackage)  
      1 perl(RHN::DB::Package::SolarisPatch)  
      1 perl(RHN::DB::Package::SolarisPatchSet)  
      1 perl(RHN::DB::Profile)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::DB::SatInstall)  
      1 perl(RHN::DB::Server)  
      1 perl(RHN::DB::ServerActions)  
      1 perl(RHN::DB::Server::CdDevice)  
      1 perl(RHN::DB::ServerGroup)  
      1 perl(RHN::DB::Server::HwDevice)  
      1 perl(RHN::DB::Server::NetInfo)  
      1 perl(RHN::DB::Server::NetInterface)  
      1 perl(RHN::DB::Server::StorageDevice)  
      1 perl(RHN::DB::Set)  
      1 perl(RHN::DB::Scheduler)  
      1 perl(RHN::DB::SystemSnapshot)  
      1 perl(RHN::DB::TableClass)  
      1 perl(RHN::DB::Tag)  
      1 perl(RHN::DB::TemplateString)  
      1 perl(RHN::DB::TinyURL)  
      1 perl(RHN::DB::Token)  
      1 perl(RHN::DB::User)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataEditor)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::FileList)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::Filter)  
      1 perl(RHN::Form::NamespaceForm)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Parser)  
      1 perl(RHN::Form::RealizedForm)  
      1 perl(RHN::Form::Require)  
      1 perl(RHN::Form::Response)  
      1 perl(RHN::Form::Widget)  
      1 perl(RHN::Form::Widget::File)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Multiple)  
      1 perl(RHN::Form::Widget::Password)  
      1 perl(RHN::Form::Widget::RadiobuttonGroup)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Spacer)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Form::Widget::Text)  
      1 perl(RHN::Form::Widget::TextArea)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::I18N)  
      1 perl(RHN::Kickstart)  
      1 perl(RHN::Kickstart::Commands)  
      1 perl(RHN::Kickstart::Include)  
      1 perl(RHN::Kickstart::IPAddress)  
      1 perl(RHN::Kickstart::IPRange)  
      1 perl(RHN::Kickstart::Logvols)  
      1 perl(RHN::Kickstart::Multi)  
      1 perl(RHN::Kickstart::Packages)  
      1 perl(RHN::Kickstart::Partitions)  
      1 perl(RHN::Kickstart::Password)  
      1 perl(RHN::Kickstart::Post)  
      1 perl(RHN::Kickstart::Pre)  
      1 perl(RHN::Kickstart::Raids)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Kickstart::Volgroups)  
      1 perl(RHN::KSTree)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Manifest::Package)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Package::SolarisPackage)  
      1 perl(RHN::Package::SolarisPatch)  
      1 perl(RHN::Package::SolarisPatchSet)  
      1 perl(RHN::Postal)  
      1 perl(RHN::Profile)  
      1 perl(RHN::ProxyInstall)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SCDB)  
      1 perl(RHN::SearchType)  
      1 perl(RHN::SearchTypes)  
      1 perl(RHN::SearchType::System)  
      1 perl(RHN::Server)  
      1 perl(RHN::ServerActions)  
      1 perl(RHN::ServerEvent)  
      1 perl(RHN::ServerEvent::ConfigDeploy)  
      1 perl(RHN::ServerEvent::ConfigDiff)  
      1 perl(RHN::ServerEvent::ConfigUpload)  
      1 perl(RHN::ServerEvent::DeltaTransaction)  
      1 perl(RHN::ServerEvent::ErrataUpdate)  
      1 perl(RHN::ServerEvent::History)  
      1 perl(RHN::ServerEvent::PackageAction)  
      1 perl(RHN::ServerEvent::PackageRemove)  
      1 perl(RHN::ServerEvent::PackageRemove::Solaris)  
      1 perl(RHN::ServerEvent::PackageUpdate)  
      1 perl(RHN::ServerEvent::PackageUpdate::Solaris)  
      1 perl(RHN::ServerEvent::PackageVerify)  
      1 perl(RHN::ServerEvent::RemoteCommand)  
      1 perl(RHN::ServerEvent::SimpleAction)  
      1 perl(RHN::ServerGroup)  
      1 perl(RHN::ServerNotes)  
      1 perl(RHN::Session)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SimpleStruct)  
      1 perl(RHN::StoredMessage) = 1.12
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::Tag)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::TinyURL)  
      1 perl(RHN::Token)  
      1 perl(RHN::TSDB)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(RHN) = 0.04
      1 rhn-base = 5.3.0
      1 spacewalk-base = 1.6.6-1.fc15
      1 spacewalk(spacewalk-base-minimal) = 1.6.6-1.fc15
      1 spacewalk(spacewalk-base) = 1.6.6-1.fc15
../RPMS/noarch/spacewalk-dobby-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-dobby) = 1.6.6-1.fc15
      1 perl(Dobby::BackupLog)  
      1 perl(Dobby::BackupLog::FileEntry)  
      1 perl(Dobby::BackupLog::TablespaceEntry)  
      1 perl(Dobby::CLI)  
      1 perl(Dobby::CLI::BackupCommands)  
      1 perl(Dobby::CLI::MaintCommands)  
      1 perl(Dobby::CLI::MiscCommands)  
      1 perl(Dobby::DB)  
      1 perl(Dobby::Files)  
      1 perl(Dobby::Log)  
      1 perl(Dobby::Reporting)  
      1 perl(Dobby) = 0.01
      1 rhn-dobby = 5.3.0
      1 spacewalk-dobby = 1.6.6-1.fc15
../RPMS/noarch/spacewalk-grail-1.6.6-1.fc15.noarch.rpm:
      1 perl(Grail::Canvas)  
      1 perl(Grail::Component)  
      1 perl(Grail::Frame)  
      1 perl(Grail) = 0.01
      1 rhn-grail = 5.3.0
      1 spacewalk-grail = 1.6.6-1.fc15
../RPMS/noarch/spacewalk-html-1.6.6-1.fc15.noarch.rpm:
      1 rhn-help = 5.3.0
      1 rhn-html = 5.3.0
      1 spacewalk-html = 1.6.6-1.fc15
../RPMS/noarch/spacewalk-pxt-1.6.6-1.fc15.noarch.rpm:
      1 config(spacewalk-pxt) = 1.6.6-1.fc15
      1 perl(PXT::ACL)  
      1 perl(PXT::ApacheAuth)  
      1 perl(PXT::ApacheHandler)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::Handlers)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Request)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Trace::DB)  
      1 perl(PXT::Trace::Hit)  
      1 perl(PXT::Utils)  
      1 perl(PXT) = 0.04
      1 rhn-pxt = 5.3.0
      1 spacewalk-pxt = 1.6.6-1.fc15
../RPMS/noarch/spacewalk-sniglets-1.6.6-1.fc15.noarch.rpm:
      1 perl(Sniglets::ActivationKeys)  
      1 perl(Sniglets::AppInstall)  
      1 perl(Sniglets::ContactMethod)  
      1 perl(Sniglets::CustomInfo)  
      1 perl(Sniglets::Errata)  
      1 perl(Sniglets::ErrataEditor)  
      1 perl(Sniglets::Forms)  
      1 perl(Sniglets::Forms::Style)  
      1 perl(Sniglets::Forms::Style::kickstart)  
      1 perl(Sniglets::Forms::Style::namespace)  
      1 perl(Sniglets::Forms::Style::standard)  
      1 perl(Sniglets::Forms::Style::survey)  
      1 perl(Sniglets::Header)  
      1 perl(Sniglets::HTML)  
      1 perl(Sniglets::Channel)  
      1 perl(Sniglets::ChannelEditor)  
      1 perl(Sniglets::Kickstart)  
      1 perl(Sniglets::Lists)  
      1 perl(Sniglets::ListUtils)  
      1 perl(Sniglets::ListView::ActionList)  
      1 perl(Sniglets::ListView::ConfigChannelList)  
      1 perl(Sniglets::ListView::ContactMethodList)  
      1 perl(Sniglets::ListView::CustomInfo)  
      1 perl(Sniglets::ListView::ErrataList)  
      1 perl(Sniglets::ListView::ExtraClasses)  
      1 perl(Sniglets::ListView::FileList)  
      1 perl(Sniglets::ListView::GeneralList)  
      1 perl(Sniglets::ListView::ChannelList)  
      1 perl(Sniglets::ListView::List)  
      1 perl(Sniglets::ListView::PackageList)  
      1 perl(Sniglets::ListView::Parser)  
      1 perl(Sniglets::ListView::ProbeList)  
      1 perl(Sniglets::ListView::ProfileList)  
      1 perl(Sniglets::ListView::ScoutList)  
      1 perl(Sniglets::ListView::Style)  
      1 perl(Sniglets::ListView::Style::blank)  
      1 perl(Sniglets::ListView::Style::channel_tree)  
      1 perl(Sniglets::ListView::Style::standard)  
      1 perl(Sniglets::ListView::Style::your_rhn_summary)  
      1 perl(Sniglets::ListView::SystemGroupList)  
      1 perl(Sniglets::ListView::SystemList)  
      1 perl(Sniglets::ListView::TracerList)  
      1 perl(Sniglets::ListView::TracerList::HitDS)  
      1 perl(Sniglets::ListView::TracerList::SessionDS)  
      1 perl(Sniglets::ListView::UserList)  
      1 perl(Sniglets::Navi)  
      1 perl(Sniglets::Navi::Node)  
      1 perl(Sniglets::Navi::Parser)  
      1 perl(Sniglets::Navi::Style)  
      1 perl(Sniglets::Navi::Style::contentnav)  
      1 perl(Sniglets::Navi::Style::sidenav)  
      1 perl(Sniglets::Navi::Style::topnav)  
      1 perl(Sniglets::Navi::Style::ul)  
      1 perl(Sniglets::Navi::Tree)  
      1 perl(Sniglets::Packages)  
      1 perl(Sniglets::Profiles)  
      1 perl(Sniglets::Scouts)  
      1 perl(Sniglets::Search)  
      1 perl(Sniglets::ServerActions)  
      1 perl(Sniglets::ServerGroup)  
      1 perl(Sniglets::ServerNotes)  
      1 perl(Sniglets::Servers)  
      1 perl(Sniglets::Sets)  
      1 perl(Sniglets::Snapshot)  
      1 perl(Sniglets::Users)  
      1 perl(Sniglets::Utils)  
      1 perl(Sniglets) = 0.01
      1 rhn-sniglets = 5.3.0
      1 spacewalk-sniglets = 1.6.6-1.fc15

Binary provides Ok.

Notice: perl(PXT::Config) (and /usr/share/perl5/vendor_perl/PXT/Config.pm) is provided by two packages: spacewalk-base-minimal and spacewalk-pxt. Is it intentional?

Binary dependencies resolvable. Ok.

Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3285514). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefix issues, consider fixing `TODO' items and
provide new spec file.

Resolution: Package NOT approved.
Comment 7 Miroslav Suchý 2011-08-19 07:54:45 EDT
SPEC:
http://miroslav.suchy.cz/fedora/spacewalk-web/spacewalk-web.spec
SRPM:
http://miroslav.suchy.cz/fedora/spacewalk-web/spacewalk-web-1.6.14-1.fc15.src.rpm

This is again rebase. That is because I'm part of upstream and rpm is our primary format. And I put all fixes to upstream too and immediately release new version.

I addressed all issue. Sorry for that missing tar.gz, it should be always automatically uploaded, but something recently broke. I uploaded it manualy for now.

> Notice: perl(PXT::Config) (and /usr/share/perl5/vendor_perl/PXT/Config.pm) is
> provided by two packages: spacewalk-base-minimal and spacewalk-pxt. Is it
> intentional?

Yes, it is intentional. PXT is quite standalone (but still part of Spacewalk and primary developed for spacewalk) so it is included directly in that sub-package and we do not want to force potential user to install spacewalk-base.
On the other hand we need PXT/Config.pm on Spacewalk proxy and to read monitoring configuration files, but we do not need there whole PXT. Therefore it is packaged in -minimal sub-package together with additional essential files.
Comment 8 Miroslav Suchý 2011-08-19 07:56:38 EDT
BTW: those file permission are fixed directly in upstream therefore included in tar.gz
Comment 9 Petr Pisar 2011-08-22 07:37:50 EDT
Source tar ball is original. Ok.

Spec file changes:

--- spacewalk-web.spec	2011-07-29 13:29:48.000000000 +0200
+++ spacewalk-web.spec.1	2011-08-19 13:40:05.000000000 +0200
@@ -2,9 +2,9 @@
 Summary: Spacewalk Web site - Perl modules
 Group: Applications/Internet
 License: GPLv2
-Version: 1.6.6
+Version: 1.6.14
 Release: 1%{?dist}
-URL:          https://fedorahosted.org/spacewalk
+URL:          https://fedorahosted.org/spacewalk/
 Source0:      https://fedorahosted.org/releases/s/p/spacewalk/%{name}-%{version}.tar.gz
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
 BuildArch: noarch
@@ -54,11 +54,6 @@
 Summary: Core of Perl modules for %{name} package
 Group: Applications/Internet 
 Provides: spacewalk(spacewalk-base-minimal) = %{version}-%{release}
-%if 0%{?rhel} && 0%{?rhel} < 6
-Requires: tomcat5
-%else
-Requires: tomcat6
-%endif
 Requires: httpd
 Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Obsoletes: rhn-base-minimal < 5.3.0
@@ -66,7 +61,7 @@
 
 %description -n spacewalk-base-minimal
 Independent Perl modules in the RHN:: name-space.
-This are very basic modules need to handle config files, database, sessions
+This are very basic modules need to handle configuration files, database, sessions
 and exceptions.
 
 %package -n spacewalk-dobby
@@ -262,6 +257,36 @@
 
 # $Id$
 %changelog
+* Fri Aug 19 2011 Miroslav Suchý 1.6.14-1
+- 705363 - remove executable bit from modules and javascript
+- 705363 - Replace word "config" with "configuration" in spacewalk-base-minimal
+  description
+- 705363 - normalize home page URL
+
+* Fri Aug 12 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.13-1
+- removed unnecessary join
+
+* Thu Aug 11 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.12-1
+- fixed couple more joins
+- removed typo parenthesis
+
+* Wed Aug 10 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.11-1
+- COALESCE works in both db backends
+
+* Wed Aug 10 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.10-1
+- replace oracle specific syntax with ANSI one
+- made NVL2 work in both db backends
+
+* Mon Aug 08 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.9-1
+- fixed re-activation key in PostgreSQL
+
+* Thu Aug 04 2011 Aron Parsons <aparsons@redhat.com> 1.6.8-1
+- add support for custom messages in the header, footer and login pages
+  (aparsons@redhat.com)
+
+* Fri Jul 29 2011 Miroslav Suchý 1.6.7-1
+- Revert "adding tomcat require to spacewalk-base-minimal"
+
 * Fri Jul 29 2011 Miroslav Suchý 1.6.6-1
 - 705363 - remove obscure keys forgotten for ages
 - 705363 - Escape percentage symbol in changelog


> TODO: Normalize home page URL. I.e. append slash.
-URL:          https://fedorahosted.org/spacewalk
+URL:          https://fedorahosted.org/spacewalk/
Ok.

> TODO: Correct Source0 URL if possible. The file
> (https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-web-1.6.6.tar.gz)
> does not exist at the location.
Tar ball available now. Ok.

> FIX: Replace word `config' with `configuration' in spacewalk-base-minimal
> description.
 %description -n spacewalk-base-minimal
 Independent Perl modules in the RHN:: name-space.
-This are very basic modules need to handle config files, database, sessions
+This are very basic modules need to handle configuration files, database, sessions
Ok.

> FIX: Remove executable bit from /var/www/html/javascript/* files as they are
> not intended to be executed by kernel/linker.
Ok.

> FIX: Correct mode (0644) for files in /usr/share/perl5/vendor_perl/Sniglets/
> as they are interpreted libraries.
Ok.


Re-review of 1.6.14 follows:

$ rpmlint spacewalk-web.spec ../SRPMS/spacewalk-web-1.6.14-1.fc15.src.rpm ../RPMS/noarch/spacewalk-*1.6.14-*
spacewalk-base-minimal.noarch: E: description-line-too-long C This are very basic modules need to handle configuration files, database, sessions
spacewalk-base-minimal.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-base-minimal.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-dobby.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_dobby.conf
spacewalk-dobby.noarch: E: non-readable /etc/rhn/default/rhn_dobby.conf 0640L
spacewalk-grail.noarch: W: no-documentation
spacewalk-pxt.noarch: W: spelling-error Summary(en_US) templating -> contemplating, tempting, template
spacewalk-pxt.noarch: W: conffile-without-noreplace-flag /etc/rhn/default/rhn_web.conf
spacewalk-pxt.noarch: E: non-readable /etc/rhn/default/rhn_web.conf 0640L
spacewalk-sniglets.noarch: W: no-documentation
8 packages and 1 specfiles checked; 4 errors, 6 warnings.

Configuration files accepted per review submission.

FIX: Reformat description text for spacewalk-base-minimal not to exceed 80 columns.

Otherwise rpmlint is Ok.

License verified from various Perl modules and javascript sources. Ok.
No XS code. noarch architecture is Ok.

Files layout and permissions are Ok, except the issue with /usr/share/perl5/vendor_perl/PXT/Config.pm:

> > Notice: perl(PXT::Config) (and /usr/share/perl5/vendor_perl/PXT/Config.pm)
> > is provided by two packages: spacewalk-base-minimal and spacewalk-pxt.
> > Is it intentional?
>
> Yes, it is intentional. PXT is quite standalone (but still part of Spacewalk
> and primary developed for spacewalk) so it is included directly in that
> sub-package and we do not want to force potential user to install
> spacewalk-base.
> On the other hand we need PXT/Config.pm on Spacewalk proxy and to read
> monitoring configuration files, but we do not need there whole PXT. Therefore
> it is packaged in -minimal sub-package together with additional essential
> files.

Fedora packaging guidelines forbids sharing files between packages <https://fedoraproject.org/wiki/Packaging/Guidelines#Duplicate_Files>.

FIX: I recommend to split the /usr/share/perl5/vendor_perl/PXT/Config.pm file into new sub-package and make this sub-package required by spacewalk-base-minimal and spacewalk-pxt. Otherwise make the two packages mutually exclusive, or ask Fedora Packaging Committee for exception.


Binary requires:

../RPMS/noarch/spacewalk-base-minimal-1.6.14-1.fc15.noarch.rpm
      1 config(spacewalk-base-minimal) = 1.6.14-1.fc15
      1 httpd  
      1 perl(Carp)  
      1 perl(DBI)  
      1 perl(Digest::HMAC_SHA1)  
      1 perl(Digest::MD5)  
      1 perl(Exporter)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(overload)  
      1 perl(Params::Validate)  
      1 perl(PXT::Config)  
      1 perl(RHN::Exception)  
      1 perl(Scalar::Util)  
      1 perl(strict)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
../RPMS/noarch/spacewalk-base-1.6.14-1.fc15.noarch.rpm
      1 perl(Apache2::RequestUtil)  
      1 perl(Archive::Tar)  
      1 perl(Authen::PAM)  
      1 perl(base)  
      1 perl(Carp)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(DateTime)  
      1 perl(Digest::MD5)  
      1 perl(English)  
      1 perl(File::Spec)  
      1 perl(File::Temp)  
      1 perl(Frontier::Client)  
      1 perl(IO::File)  
      1 perl(IO::Socket::INET)  
      1 perl(IPC::Open3)  
      1 perl(lib)  
      1 perl(LWP::UserAgent)  
      1 perl(Mail::RFC822::Address)  
      1 perl(MIME::Base64)  
      1 perl(ModPerl::Util)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(NOCpulse::Config)  
      1 perl(overload)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::ACL)  
      1 perl(RHN::AppInstall::ActionHandler)  
      1 perl(RHN::AppInstall::ActionHandler::ActionRunner)  
      1 perl(RHN::AppInstall::ActionHandler::ActionScheduler)  
      1 perl(RHN::AppInstall::Instance)  
      1 perl(RHN::AppInstall::Process)  
      1 perl(RHN::AppInstall::Process::Configure)  
      1 perl(RHN::AppInstall::Process::Install)  
      1 perl(RHN::AppInstall::Process::InstallProgress)  
      1 perl(RHN::AppInstall::Process::Remove)  
      1 perl(RHN::AppInstall::Process::Step)  
      1 perl(RHN::AppInstall::Process::Step::Action)  
      1 perl(RHN::AppInstall::Process::Step::Action::Arg)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus::Action)  
      1 perl(RHN::AppInstall::Process::Step::Activity)  
      1 perl(RHN::AppInstall::Process::Step::Activity::Action)  
      1 perl(RHN::AppInstall::Process::Step::CollectData)  
      1 perl(RHN::AppInstall::Process::Step::Redirect)  
      1 perl(RHN::AppInstall::Process::Step::Requirements)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions::Action)  
      1 perl(RHN::AppInstall::Replace)  
      1 perl(RHN::AppInstall::RequirementHandler)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::AppInstall::Session::Access)  
      1 perl(RHN::Cache::File)  
      1 perl(RHN::Cert)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::CryptoKey)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::Action)  
      1 perl(RHN::DB::AppInstall::Instance)  
      1 perl(RHN::DB::AppInstall::Session)  
      1 perl(RHN::DB::ConfigChannel)  
      1 perl(RHN::DB::ConfigRevision)  
      1 perl(RHN::DB::ContactGroup)  
      1 perl(RHN::DB::ContactMethod)  
      1 perl(RHN::DB::CryptoKey)  
      1 perl(RHN::DB::CustomInfoKey)  
      1 perl(RHN::DB::DataSource)  
      1 perl(RHN::DB::Entitlements)  
      1 perl(RHN::DB::Errata)  
      1 perl(RHN::DB::ErrataEditor)  
      1 perl(RHN::DB::ErrataTmp)  
      1 perl(RHN::DB::FileList)  
      1 perl(RHN::DB::Channel)  
      1 perl(RHN::DB::ChannelEditor)  
      1 perl(RHN::DB::JoinClass)  
      1 perl(RHN::DB::Kickstart)  
      1 perl(RHN::DB::Kickstart::Session)  
      1 perl(RHN::DB::KSTree)  
      1 perl(RHN::DB::Notes)  
      1 perl(RHN::DB::Org)  
      1 perl(RHN::DB::Package)  
      1 perl(RHN::DB::Package::SolarisPackage)  
      1 perl(RHN::DB::Package::SolarisPatch)  
      1 perl(RHN::DB::Package::SolarisPatchSet)  
      1 perl(RHN::DB::Profile)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::DB::SatInstall)  
      1 perl(RHN::DB::Server)  
      1 perl(RHN::DB::ServerActions)  
      1 perl(RHN::DB::Server::CdDevice)  
      1 perl(RHN::DB::ServerGroup)  
      1 perl(RHN::DB::Server::HwDevice)  
      1 perl(RHN::DB::Server::NetInfo)  
      1 perl(RHN::DB::Server::NetInterface)  
      1 perl(RHN::DB::Server::StorageDevice)  
      1 perl(RHN::DB::Set)  
      1 perl(RHN::DB::Scheduler)  
      1 perl(RHN::DB::SystemSnapshot)  
      1 perl(RHN::DB::TableClass)  
      1 perl(RHN::DB::Tag)  
      1 perl(RHN::DB::TemplateString)  
      1 perl(RHN::DB::TinyURL)  
      1 perl(RHN::DB::Token)  
      1 perl(RHN::DB::User)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataEditor)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::Exception)  
      1 perl(RHN::FileList)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::Filter)  
      1 perl(RHN::Form::NamespaceForm)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Parser)  
      1 perl(RHN::Form::RealizedForm)  
      1 perl(RHN::Form::Require)  
      1 perl(RHN::Form::Response)  
      1 perl(RHN::Form::Widget)  
      1 perl(RHN::Form::Widget::File)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Password)  
      1 perl(RHN::Form::Widget::RadiobuttonGroup)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Form::Widget::Text)  
      1 perl(RHN::Form::Widget::TextArea)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::Kickstart::Commands)  
      1 perl(RHN::Kickstart::Include)  
      1 perl(RHN::Kickstart::IPAddress)  
      1 perl(RHN::Kickstart::IPRange)  
      1 perl(RHN::Kickstart::Logvols)  
      1 perl(RHN::Kickstart::Multi)  
      1 perl(RHN::Kickstart::Packages)  
      1 perl(RHN::Kickstart::Partitions)  
      1 perl(RHN::Kickstart::Password)  
      1 perl(RHN::Kickstart::Post)  
      1 perl(RHN::Kickstart::Pre)  
      1 perl(RHN::Kickstart::Raids)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Kickstart::Volgroups)  
      1 perl(RHN::KSTree)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Package::SolarisPackage)  
      1 perl(RHN::Package::SolarisPatch)  
      1 perl(RHN::Package::SolarisPatchSet)  
      1 perl(RHN::Profile)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SearchType)  
      1 perl(RHN::Server)  
      1 perl(RHN::SessionSwap)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SimpleStruct)  
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::Tag)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::Token)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(RPM2)  
      1 perl(Scalar::Util)  
      1 perl(Socket)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(Text::Wrap)  
      1 perl(Time::HiRes)  
      1 perl(URI::URL)  
      1 perl(vars)  
      1 perl(XML::LibXML)  
      1 perl(XML::LibXML) >= 1.53
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-pxt  
      1 webserver  
../RPMS/noarch/spacewalk-dobby-1.6.14-1.fc15.noarch.rpm
      1 /bin/bash  
      1 config(spacewalk-dobby) = 1.6.14-1.fc15
      1 httpd  
      1 perl(Carp)  
      1 perl(Compress::Zlib)  
      1 perl(Digest::MD5)  
      1 perl(Dobby::BackupLog)  
      1 perl(Dobby::CLI)  
      1 perl(Dobby::CLI::BackupCommands)  
      1 perl(Dobby::CLI::MaintCommands)  
      1 perl(Dobby::CLI::MiscCommands)  
      1 perl(Dobby::DB)  
      1 perl(Dobby::Files)  
      1 perl(Dobby::Log)  
      1 perl(Dobby::Reporting)  
      1 perl(Fcntl)  
      1 perl(File::Basename)  
      1 perl(File::Spec)  
      1 perl(File::Spec::Functions)  
      1 perl(Filesys::Df)  
      1 perl(IO::Handle)  
      1 perl(IO::Select)  
      1 perl(IPC::Open2)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::Config)  
      1 perl(RHN::DB)  
      1 perl(RHN::SimpleStruct)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(XML::LibXML)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-base  
      1 /usr/bin/perl  
../RPMS/noarch/spacewalk-grail-1.6.14-1.fc15.noarch.rpm
      1 perl(Carp)  
      1 perl(Grail::Canvas)  
      1 perl(Grail::Component)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(PXT::Utils)  
      1 perl(strict)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-base  
../RPMS/noarch/spacewalk-html-1.6.14-1.fc15.noarch.rpm
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk-branding  
      1 webserver  
../RPMS/noarch/spacewalk-pxt-1.6.14-1.fc15.noarch.rpm
      1 config(spacewalk-pxt) = 1.6.14-1.fc15
      1 httpd  
      1 perl(Apache2::Access)  
      1 perl(Apache2::Connection)  
      1 perl(Apache2::Const)  
      1 perl(Apache2::Cookie)  
      1 perl(Apache2::Log)  
      1 perl(Apache2::Request)  
      1 perl(Apache2::RequestIO)  
      1 perl(Apache2::RequestUtil)  
      1 perl(Apache2::ServerUtil)  
      1 perl(Apache2::SubRequest)  
      1 perl(Apache2::URI)  
      1 perl(Apache2::Util)  
      1 perl(APR::URI)  
      1 perl(BSD::Resource)  
      1 perl(bytes)  
      1 perl(Cache::FileCache)  
      1 perl(Carp)  
      1 perl(Compress::Zlib)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(File::Spec)  
      1 perl(HTML::Entities)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::ApacheHandler)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::Handlers)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Request)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Cleansers)  
      1 perl(RHN::DB)  
      1 perl(RHN::Exception)  
      1 perl(RHN::I18N)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Session)  
      1 perl(RHN::StoredMessage)  
      1 perl(RHN::User)  
      1 perl(Scalar::Util)  
      1 perl(strict)  
      1 perl(Sys::Hostname)  
      1 perl(Time::HiRes)  
      1 perl(URI::URL)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 spacewalk(spacewalk-base-minimal)  
../RPMS/noarch/spacewalk-sniglets-1.6.14-1.fc15.noarch.rpm
      1 perl(base)  
      1 perl(Carp)  
      1 perl(Class::Struct)  
      1 perl(constant)  
      1 perl(Data::Dumper)  
      1 perl(Date::Parse)  
      1 perl(Digest::MD5)  
      1 perl(File::Spec)  
      1 perl(Mail::RFC822::Address)  
      1 perl(:MODULE_COMPAT_5.12.4)  
      1 perl(Params::Validate)  
      1 perl(POSIX)  
      1 perl(PXT::ACL)  
      1 perl(PXT::Config)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Utils)  
      1 perl(RHN::Access)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::Parser)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::ContactMethod)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::CustomInfo)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Probe)  
      1 perl(RHN::DataSource::Scout)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::DataSource::User)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::Exception)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::Kickstart)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Postal)  
      1 perl(RHN::Profile)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SearchTypes)  
      1 perl(RHN::Server)  
      1 perl(RHN::ServerActions)  
      1 perl(RHN::ServerGroup)  
      1 perl(RHN::ServerNotes)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::TinyURL)  
      1 perl(RHN::Token)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(Sniglets::ActivationKeys)  
      1 perl(Sniglets::AppInstall)  
      1 perl(Sniglets::Forms)  
      1 perl(Sniglets::Forms::Style)  
      1 perl(Sniglets::Forms::Style::standard)  
      1 perl(Sniglets::HTML)  
      1 perl(Sniglets::Channel)  
      1 perl(Sniglets::Lists)  
      1 perl(Sniglets::ListView::ConfigChannelList)  
      1 perl(Sniglets::ListView::ErrataList)  
      1 perl(Sniglets::ListView::ExtraClasses)  
      1 perl(Sniglets::ListView::FileList)  
      1 perl(Sniglets::ListView::GeneralList)  
      1 perl(Sniglets::ListView::ChannelList)  
      1 perl(Sniglets::ListView::List)  
      1 perl(Sniglets::ListView::PackageList)  
      1 perl(Sniglets::ListView::Parser)  
      1 perl(Sniglets::ListView::ProbeList)  
      1 perl(Sniglets::ListView::Style)  
      1 perl(Sniglets::ListView::Style::blank)  
      1 perl(Sniglets::ListView::SystemGroupList)  
      1 perl(Sniglets::ListView::SystemList)  
      1 perl(Sniglets::ListView::UserList)  
      1 perl(Sniglets::Navi::Node)  
      1 perl(Sniglets::Navi::Parser)  
      1 perl(Sniglets::Navi::Style)  
      1 perl(Sniglets::Navi::Style::ul)  
      1 perl(Sniglets::Navi::Tree)  
      1 perl(Sniglets::Packages)  
      1 perl(Sniglets::Search)  
      1 perl(Sniglets::ServerActions)  
      1 perl(Sniglets::ServerGroup)  
      1 perl(Sniglets::Servers)  
      1 perl(strict)  
      1 perl(URI)  
      1 perl(XML::LibXML)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary provides:

../RPMS/noarch/spacewalk-base-minimal-1.6.14-1.fc15.noarch.rpm
      1 config(spacewalk-base-minimal) = 1.6.14-1.fc15
      1 perl(PXT::Config)  
      1 perl(RHN::DB)  
      1 perl(RHN::DB::db)  
      1 perl(RHN::DB::st)  
      1 perl(RHN::Exception)  
      1 perl(RHN::Exception::DB)  
      1 perl(RHN::SessionSwap)  
      1 rhn-base-minimal = 5.3.0
      1 spacewalk-base-minimal = 1.6.14-1.fc15
      1 spacewalk(spacewalk-base-minimal) = 1.6.14-1.fc15
../RPMS/noarch/spacewalk-base-1.6.14-1.fc15.noarch.rpm
      1 perl(RHN::Access)  
      1 perl(RHN::Access::Action)  
      1 perl(RHN::Access::Channel)  
      1 perl(RHN::Access::Package)  
      1 perl(RHN::Access::System)  
      1 perl(RHN::Access::Token)  
      1 perl(RHN::Action)  
      1 perl(RHN::AppInstall::ACL)  
      1 perl(RHN::AppInstall::ActionHandler)  
      1 perl(RHN::AppInstall::ActionHandler::ActionRunner)  
      1 perl(RHN::AppInstall::ActionHandler::ActionScheduler)  
      1 perl(RHN::AppInstall::Instance)  
      1 perl(RHN::AppInstall::Parser)  
      1 perl(RHN::AppInstall::Process)  
      1 perl(RHN::AppInstall::Process::Configure)  
      1 perl(RHN::AppInstall::Process::Install)  
      1 perl(RHN::AppInstall::Process::InstallProgress)  
      1 perl(RHN::AppInstall::Process::Remove)  
      1 perl(RHN::AppInstall::Process::Step)  
      1 perl(RHN::AppInstall::Process::Step::Action)  
      1 perl(RHN::AppInstall::Process::Step::Action::Arg)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus)  
      1 perl(RHN::AppInstall::Process::Step::ActionStatus::Action)  
      1 perl(RHN::AppInstall::Process::Step::Activity)  
      1 perl(RHN::AppInstall::Process::Step::Activity::Action)  
      1 perl(RHN::AppInstall::Process::Step::CollectData)  
      1 perl(RHN::AppInstall::Process::Step::Redirect)  
      1 perl(RHN::AppInstall::Process::Step::Requirements)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions)  
      1 perl(RHN::AppInstall::Process::Step::ScheduleActions::Action)  
      1 perl(RHN::AppInstall::Replace)  
      1 perl(RHN::AppInstall::RequirementHandler)  
      1 perl(RHN::AppInstall::Session)  
      1 perl(RHN::AppInstall::Session::Access)  
      1 perl(RHN::Cache::File)  
      1 perl(RHN::Cert)  
      1 perl(RHN::Cleansers)  
      1 perl(RHN::ConfigChannel)  
      1 perl(RHN::ConfigRevision)  
      1 perl(RHN::ContactGroup)  
      1 perl(RHN::ContactMethod)  
      1 perl(RHN::CryptoKey)  
      1 perl(RHN::CustomInfoKey)  
      1 perl(RHN::DataSource)  
      1 perl(RHN::DataSource::Action)  
      1 perl(RHN::DataSource::ConfigChannel)  
      1 perl(RHN::DataSource::ContactMethod)  
      1 perl(RHN::DataSource::CustomInfo)  
      1 perl(RHN::DataSource::Errata)  
      1 perl(RHN::DataSource::General)  
      1 perl(RHN::DataSource::Channel)  
      1 perl(RHN::DataSource::Package)  
      1 perl(RHN::DataSource::Probe)  
      1 perl(RHN::DataSource::Scout)  
      1 perl(RHN::DataSource::Simple)  
      1 perl(RHN::DataSource::System)  
      1 perl(RHN::DataSource::SystemGroup)  
      1 perl(RHN::DataSource::User)  
      1 perl(RHN::Date)  
      1 perl(RHN::DB::Action)  
      1 perl(RHN::DB::AppInstall::Instance)  
      1 perl(RHN::DB::AppInstall::Session)  
      1 perl(RHN::DB::ConfigChannel)  
      1 perl(RHN::DB::ConfigRevision)  
      1 perl(RHN::DB::ContactGroup)  
      1 perl(RHN::DB::ContactMethod)  
      1 perl(RHN::DB::CryptoKey)  
      1 perl(RHN::DB::CustomInfoKey)  
      1 perl(RHN::DB::DataSource)  
      1 perl(RHN::DB::Entitlements)  
      1 perl(RHN::DB::Errata)  
      1 perl(RHN::DB::ErrataEditor)  
      1 perl(RHN::DB::ErrataTmp)  
      1 perl(RHN::DB::FileList)  
      1 perl(RHN::DB::Channel)  
      1 perl(RHN::DB::ChannelEditor)  
      1 perl(RHN::DB::JoinClass)  
      1 perl(RHN::DB::Kickstart)  
      1 perl(RHN::DB::Kickstart::Session)  
      1 perl(RHN::DB::KSTree)  
      1 perl(RHN::DB::Notes)  
      1 perl(RHN::DB::Org)  
      1 perl(RHN::DB::Package)  
      1 perl(RHN::DB::Package::SolarisPackage)  
      1 perl(RHN::DB::Package::SolarisPatch)  
      1 perl(RHN::DB::Package::SolarisPatchSet)  
      1 perl(RHN::DB::Profile)  
      1 perl(RHN::DB::SatCluster)  
      1 perl(RHN::DB::SatInstall)  
      1 perl(RHN::DB::Server)  
      1 perl(RHN::DB::ServerActions)  
      1 perl(RHN::DB::Server::CdDevice)  
      1 perl(RHN::DB::ServerGroup)  
      1 perl(RHN::DB::Server::HwDevice)  
      1 perl(RHN::DB::Server::NetInfo)  
      1 perl(RHN::DB::Server::NetInterface)  
      1 perl(RHN::DB::Server::StorageDevice)  
      1 perl(RHN::DB::Set)  
      1 perl(RHN::DB::Scheduler)  
      1 perl(RHN::DB::SystemSnapshot)  
      1 perl(RHN::DB::TableClass)  
      1 perl(RHN::DB::Tag)  
      1 perl(RHN::DB::TemplateString)  
      1 perl(RHN::DB::TinyURL)  
      1 perl(RHN::DB::Token)  
      1 perl(RHN::DB::User)  
      1 perl(RHN::Entitlements)  
      1 perl(RHN::Errata)  
      1 perl(RHN::ErrataEditor)  
      1 perl(RHN::ErrataTmp)  
      1 perl(RHN::FileList)  
      1 perl(RHN::Form)  
      1 perl(RHN::Form::Filter)  
      1 perl(RHN::Form::NamespaceForm)  
      1 perl(RHN::Form::ParsedForm)  
      1 perl(RHN::Form::Parser)  
      1 perl(RHN::Form::RealizedForm)  
      1 perl(RHN::Form::Require)  
      1 perl(RHN::Form::Response)  
      1 perl(RHN::Form::Widget)  
      1 perl(RHN::Form::Widget::File)  
      1 perl(RHN::Form::Widget::Hidden)  
      1 perl(RHN::Form::Widget::Checkbox)  
      1 perl(RHN::Form::Widget::CheckboxGroup)  
      1 perl(RHN::Form::Widget::Literal)  
      1 perl(RHN::Form::Widget::Multiple)  
      1 perl(RHN::Form::Widget::Password)  
      1 perl(RHN::Form::Widget::RadiobuttonGroup)  
      1 perl(RHN::Form::Widget::Select)  
      1 perl(RHN::Form::Widget::Spacer)  
      1 perl(RHN::Form::Widget::Submit)  
      1 perl(RHN::Form::Widget::Text)  
      1 perl(RHN::Form::Widget::TextArea)  
      1 perl(RHN::Channel)  
      1 perl(RHN::ChannelEditor)  
      1 perl(RHN::I18N)  
      1 perl(RHN::Kickstart)  
      1 perl(RHN::Kickstart::Commands)  
      1 perl(RHN::Kickstart::Include)  
      1 perl(RHN::Kickstart::IPAddress)  
      1 perl(RHN::Kickstart::IPRange)  
      1 perl(RHN::Kickstart::Logvols)  
      1 perl(RHN::Kickstart::Multi)  
      1 perl(RHN::Kickstart::Packages)  
      1 perl(RHN::Kickstart::Partitions)  
      1 perl(RHN::Kickstart::Password)  
      1 perl(RHN::Kickstart::Post)  
      1 perl(RHN::Kickstart::Pre)  
      1 perl(RHN::Kickstart::Raids)  
      1 perl(RHN::Kickstart::Session)  
      1 perl(RHN::Kickstart::Volgroups)  
      1 perl(RHN::KSTree)  
      1 perl(RHN::Mail)  
      1 perl(RHN::Manifest)  
      1 perl(RHN::Manifest::Package)  
      1 perl(RHN::Org)  
      1 perl(RHN::Package)  
      1 perl(RHN::Package::SolarisPackage)  
      1 perl(RHN::Package::SolarisPatch)  
      1 perl(RHN::Package::SolarisPatchSet)  
      1 perl(RHN::Postal)  
      1 perl(RHN::Profile)  
      1 perl(RHN::ProxyInstall)  
      1 perl(RHN::SatCluster)  
      1 perl(RHN::SatelliteCert)  
      1 perl(RHN::SatInstall)  
      1 perl(RHN::SCDB)  
      1 perl(RHN::SearchType)  
      1 perl(RHN::SearchTypes)  
      1 perl(RHN::SearchType::System)  
      1 perl(RHN::Server)  
      1 perl(RHN::ServerActions)  
      1 perl(RHN::ServerEvent)  
      1 perl(RHN::ServerEvent::ConfigDeploy)  
      1 perl(RHN::ServerEvent::ConfigDiff)  
      1 perl(RHN::ServerEvent::ConfigUpload)  
      1 perl(RHN::ServerEvent::DeltaTransaction)  
      1 perl(RHN::ServerEvent::ErrataUpdate)  
      1 perl(RHN::ServerEvent::History)  
      1 perl(RHN::ServerEvent::PackageAction)  
      1 perl(RHN::ServerEvent::PackageRemove)  
      1 perl(RHN::ServerEvent::PackageRemove::Solaris)  
      1 perl(RHN::ServerEvent::PackageUpdate)  
      1 perl(RHN::ServerEvent::PackageUpdate::Solaris)  
      1 perl(RHN::ServerEvent::PackageVerify)  
      1 perl(RHN::ServerEvent::RemoteCommand)  
      1 perl(RHN::ServerEvent::SimpleAction)  
      1 perl(RHN::ServerGroup)  
      1 perl(RHN::ServerNotes)  
      1 perl(RHN::Session)  
      1 perl(RHN::Set)  
      1 perl(RHN::Scheduler)  
      1 perl(RHN::SimpleStruct)  
      1 perl(RHN::StoredMessage) = 1.12
      1 perl(RHN::SystemSnapshot)  
      1 perl(RHN::Tag)  
      1 perl(RHN::TemplateString)  
      1 perl(RHN::TinyURL)  
      1 perl(RHN::Token)  
      1 perl(RHN::TSDB)  
      1 perl(RHN::User)  
      1 perl(RHN::Utils)  
      1 perl(RHN) = 0.04
      1 rhn-base = 5.3.0
      1 spacewalk-base = 1.6.14-1.fc15
      1 spacewalk(spacewalk-base-minimal) = 1.6.14-1.fc15
      1 spacewalk(spacewalk-base) = 1.6.14-1.fc15
../RPMS/noarch/spacewalk-dobby-1.6.14-1.fc15.noarch.rpm
      1 config(spacewalk-dobby) = 1.6.14-1.fc15
      1 perl(Dobby::BackupLog)  
      1 perl(Dobby::BackupLog::FileEntry)  
      1 perl(Dobby::BackupLog::TablespaceEntry)  
      1 perl(Dobby::CLI)  
      1 perl(Dobby::CLI::BackupCommands)  
      1 perl(Dobby::CLI::MaintCommands)  
      1 perl(Dobby::CLI::MiscCommands)  
      1 perl(Dobby::DB)  
      1 perl(Dobby::Files)  
      1 perl(Dobby::Log)  
      1 perl(Dobby::Reporting)  
      1 perl(Dobby) = 0.01
      1 rhn-dobby = 5.3.0
      1 spacewalk-dobby = 1.6.14-1.fc15
../RPMS/noarch/spacewalk-grail-1.6.14-1.fc15.noarch.rpm
      1 perl(Grail::Canvas)  
      1 perl(Grail::Component)  
      1 perl(Grail::Frame)  
      1 perl(Grail) = 0.01
      1 rhn-grail = 5.3.0
      1 spacewalk-grail = 1.6.14-1.fc15
../RPMS/noarch/spacewalk-html-1.6.14-1.fc15.noarch.rpm
      1 rhn-help = 5.3.0
      1 rhn-html = 5.3.0
      1 spacewalk-html = 1.6.14-1.fc15
../RPMS/noarch/spacewalk-pxt-1.6.14-1.fc15.noarch.rpm
      1 config(spacewalk-pxt) = 1.6.14-1.fc15
      1 perl(PXT::ACL)  
      1 perl(PXT::ApacheAuth)  
      1 perl(PXT::ApacheHandler)  
      1 perl(PXT::Config)  
      1 perl(PXT::Debug)  
      1 perl(PXT::Handlers)  
      1 perl(PXT::HTML)  
      1 perl(PXT::Parser)  
      1 perl(PXT::Request)  
      1 perl(PXT::Trace)  
      1 perl(PXT::Trace::DB)  
      1 perl(PXT::Trace::Hit)  
      1 perl(PXT::Utils)  
      1 perl(PXT) = 0.04
      1 rhn-pxt = 5.3.0
      1 spacewalk-pxt = 1.6.14-1.fc15
../RPMS/noarch/spacewalk-sniglets-1.6.14-1.fc15.noarch.rpm
      1 perl(Sniglets::ActivationKeys)  
      1 perl(Sniglets::AppInstall)  
      1 perl(Sniglets::ContactMethod)  
      1 perl(Sniglets::CustomInfo)  
      1 perl(Sniglets::Errata)  
      1 perl(Sniglets::ErrataEditor)  
      1 perl(Sniglets::Forms)  
      1 perl(Sniglets::Forms::Style)  
      1 perl(Sniglets::Forms::Style::kickstart)  
      1 perl(Sniglets::Forms::Style::namespace)  
      1 perl(Sniglets::Forms::Style::standard)  
      1 perl(Sniglets::Forms::Style::survey)  
      1 perl(Sniglets::Header)  
      1 perl(Sniglets::HTML)  
      1 perl(Sniglets::Channel)  
      1 perl(Sniglets::ChannelEditor)  
      1 perl(Sniglets::Kickstart)  
      1 perl(Sniglets::Lists)  
      1 perl(Sniglets::ListUtils)  
      1 perl(Sniglets::ListView::ActionList)  
      1 perl(Sniglets::ListView::ConfigChannelList)  
      1 perl(Sniglets::ListView::ContactMethodList)  
      1 perl(Sniglets::ListView::CustomInfo)  
      1 perl(Sniglets::ListView::ErrataList)  
      1 perl(Sniglets::ListView::ExtraClasses)  
      1 perl(Sniglets::ListView::FileList)  
      1 perl(Sniglets::ListView::GeneralList)  
      1 perl(Sniglets::ListView::ChannelList)  
      1 perl(Sniglets::ListView::List)  
      1 perl(Sniglets::ListView::PackageList)  
      1 perl(Sniglets::ListView::Parser)  
      1 perl(Sniglets::ListView::ProbeList)  
      1 perl(Sniglets::ListView::ProfileList)  
      1 perl(Sniglets::ListView::ScoutList)  
      1 perl(Sniglets::ListView::Style)  
      1 perl(Sniglets::ListView::Style::blank)  
      1 perl(Sniglets::ListView::Style::channel_tree)  
      1 perl(Sniglets::ListView::Style::standard)  
      1 perl(Sniglets::ListView::Style::your_rhn_summary)  
      1 perl(Sniglets::ListView::SystemGroupList)  
      1 perl(Sniglets::ListView::SystemList)  
      1 perl(Sniglets::ListView::TracerList)  
      1 perl(Sniglets::ListView::TracerList::HitDS)  
      1 perl(Sniglets::ListView::TracerList::SessionDS)  
      1 perl(Sniglets::ListView::UserList)  
      1 perl(Sniglets::Navi)  
      1 perl(Sniglets::Navi::Node)  
      1 perl(Sniglets::Navi::Parser)  
      1 perl(Sniglets::Navi::Style)  
      1 perl(Sniglets::Navi::Style::contentnav)  
      1 perl(Sniglets::Navi::Style::sidenav)  
      1 perl(Sniglets::Navi::Style::topnav)  
      1 perl(Sniglets::Navi::Style::ul)  
      1 perl(Sniglets::Navi::Tree)  
      1 perl(Sniglets::Packages)  
      1 perl(Sniglets::Profiles)  
      1 perl(Sniglets::Scouts)  
      1 perl(Sniglets::Search)  
      1 perl(Sniglets::ServerActions)  
      1 perl(Sniglets::ServerGroup)  
      1 perl(Sniglets::ServerNotes)  
      1 perl(Sniglets::Servers)  
      1 perl(Sniglets::Sets)  
      1 perl(Sniglets::Snapshot)  
      1 perl(Sniglets::Users)  
      1 perl(Sniglets::Utils)  
      1 perl(Sniglets) = 0.01
      1 rhn-sniglets = 5.3.0
      1 spacewalk-sniglets = 1.6.14-1.fc15

Binary dependencies resolvable. Ok.

Package builds in F17 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3291115). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefixed issues and provide new spec file.

Resolution: Package NOT approved.
Comment 10 Miroslav Suchý 2011-08-23 09:54:30 EDT
SPEC:
http://miroslav.suchy.cz/fedora/spacewalk-web/spacewalk-web.spec
SRPM:
http://miroslav.suchy.cz/fedora/spacewalk-web/spacewalk-web-1.6.16-1.fc15.src.rpm

I fixed description and discussed in upstream the PXT::Config problem and we decided to leave it only in spacewalk-base-minimal as spacewalk-pxt require it anyway in these days.
Comment 11 Petr Pisar 2011-08-24 04:35:38 EDT
Because I experienced two kernel panics I will not write everything again.

The package now looks good and acceptable. All previous issues have been resolved.

I have one small remark: spacewalk(spacewalk-base) is provided by spacewalk-base and spacewalk-base-minimal despite their files and other provides (e.g. Perl modules) are disjunctive. So I'm not sure both packages can provide the same service.

Resolution: Package APPROVED.
Comment 12 Miroslav Suchý 2011-08-25 04:24:55 EDT
New Package CVS Request
=======================
Package Name: spacewalk-web
Short Description: Spacewalk Web site - Perl modules
Owners: msuchy
Branches: F-15, F-16, EL-5, EL-6
InitialCC:
Comment 13 Miroslav Suchý 2011-08-25 05:10:05 EDT
Petr, thx again for the review.

Regarding the provides: Yes, you are correct, it is relict of some older refactoring. I will remove it.
Comment 14 Jon Ciesla 2011-08-25 06:00:19 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2011-08-25 08:33:32 EDT
spacewalk-web-1.6.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spacewalk-web-1.6.18-1.fc16
Comment 16 Fedora Update System 2011-09-06 23:31:08 EDT
spacewalk-web-1.6.18-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.